Index: /extensions/gally/gally-default/language/bg_BG/index.php
===================================================================
--- /extensions/gally/gally-default/language/bg_BG/index.php	(revision 17721)
+++ /extensions/gally/gally-default/language/bg_BG/index.php	(revision 17721)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/gally/gally-default/language/bg_BG/theme.lang.php
===================================================================
--- /extensions/gally/gally-default/language/bg_BG/theme.lang.php	(revision 17721)
+++ /extensions/gally/gally-default/language/bg_BG/theme.lang.php	(revision 17721)
@@ -0,0 +1,73 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['gally_img_other_desc'] = 'Тази страница ви позволява да дефинирате различните свойства на потребителския интерфейс, когато гледате изображение';
+$lang['gally_img_interface_desc'] = 'Тази страница ви позволява да зададете настройки на потребителския интерфейс, когато гледате изображение';
+$lang['gally_img_high_res_desc'] = 'Тази страница ви позволява да зададете настройки на интерфейса, когато преглеждате изображения в Lightbox';
+$lang['gally_image_simulate_high_res'] = 'Симулира наличието на висока резолюция на изображението, за панорамни изображения';
+$lang['gally_image_interface_hidden_desc'] = 'Тази опция определя дали интерфейсът би трябвало вече да се покаже, когато страница се зареди';
+$lang['gally_image_interface_can_switch_desc'] = 'Тази опция определя дали интерфейсът се показва непрекъснато или ако може да бъде скрит';
+$lang['gally_image_auto_scroll_warning'] = 'Тази функция се деактивира автоматично с MS Internet Explorer версия предходна на 8';
+$lang['gally_image_interface_hidden_yes'] = 'Интерфейсът не е видим докато се зарежда страницата, това ще бъде първото събитие след това';
+$lang['gally_image_auto_scroll_yes'] = 'Автоматично превъртане на картината от курсора';
+$lang['gally_image_auto_scroll_desc'] = 'Тази опция дефинира как да се показват на екрана широкоекранни изображения';
+$lang['gally_image_auto_scroll'] = 'Управление на панорамни снимки';
+$lang['gally_display_high_res_click_mode_desc'] = 'Тази опция дефинира как да се държи интерфейса, когато кликнете на картинката в Lightbox';
+$lang['gally_default_zoom_size_desc'] = 'Опцията определя вида на екрана по подразбиране в Lightbox, когато снимката е по-голяма от големината на екранния размер';
+$lang['gally_display_banner_desc'] = 'Опцията контролира кога да се показва банер в сайта, когато се показва снимка';
+$lang['gally_highResClickMode_zoom'] = 'Промяна на вида увеличение (Актуален размер/преоразмерен)';
+$lang['gally_display_high_res_click_mode'] = 'Действието е свързано с Lightbox';
+$lang['gally_image_auto_scroll_no'] = 'Ръчно скролиране на снимката';
+$lang['gally_image_interface_hidden_no'] = 'Интерфейса е видим когато страницата се зарежда';
+$lang['gally_display_banner_alternate'] = 'Показвай алтернативния банер';
+$lang['gally_display_banner_no'] = 'Не показвай банер';
+$lang['gally_img_interface'] = 'Снимка/интерфейс';
+$lang['gally_display_banner_yes'] = 'Показване на банер';
+$lang['gally_highResClickMode_close'] = 'Затвори  Lightbox';
+$lang['gally_display_high_res_icon'] = 'Икона в лентата с инснрументи';
+$lang['gally_display_banner'] = 'Показвай банер';
+$lang['gally_displayHighResIcon_yes'] = 'Показвай иконата';
+$lang['gally_displayHighResIcon_no'] = 'Не показвай иконата';
+$lang['gally_default_zoom_size'] = 'Уголемен размер по подръзбиране';
+$lang['gally_defaultZoomSize_full'] = 'Актуален размер(ако снимката не се събира в екрана е възможно скролирани вертикално и/или хоризонтално)';
+$lang['gally_defaultZoomSize_fit'] = 'Снимката е преоразмерена за да бъде показана цялата на екрана';
+$lang['gally_columns'] = 'Номер колони';
+$lang['gally_alternate_banner_content'] = 'Алтернативно съдържание на банера:';
+$lang['gally_action_ok'] = 'Действието завърши успешно';
+$lang['gally_action_ko'] = 'Действието е неуспешно';
+$lang['gally_img_other'] = 'Снимка/друго';
+$lang['gally_img_high_res'] = 'Снимка/Lightbox изглед';
+$lang['gally_image_interface_can_switch'] = 'Режим на видимост на интерфейса';
+$lang['gally_image_interface_can_switch_yes'] = 'Интерфейся е видим само от определените за това правила';
+$lang['gally_image_interface_hidden'] = 'Показване на зареждащата се страница';
+$lang['gally_image_interface_can_switch_no'] = 'Интерфейса е винаги видим';
+$lang['gally_meta_num_cols'] = 'Показване на Мета данните';
+$lang['gally_interface_on_image_desc'] = 'Тази опция дефинира, когато мишката преминава върху изображението, дали да се показва интерфейса';
+$lang['gally_interface_on_image_noscroll'] = 'Само ако снимката не е широкоекранна';
+$lang['gally_interface_timer_delay_desc'] = 'Тази опция дефинира интервала времето, необходимо преди интерфейса да се скрие';
+$lang['gally_meta_num_cols_desc'] = 'Тази опция задава броя на колоните да се използва за показване на метаданни';
+$lang['gally_interface_on_image'] = 'Показване на показалеца';
+$lang['gally_interface_on_image_always'] = 'Винаги';
+$lang['gally_save_local_conf'] = 'Запазване на настрайките';
+$lang['gally_interface_on_image_never'] = 'Никога';
+$lang['gally_interface_timer_delay'] = 'Изтекла сесия';
+?>