Index: /extensions/CryptograPHP/language/tr_TR/description.txt
===================================================================
--- /extensions/CryptograPHP/language/tr_TR/description.txt	(revision 17743)
+++ /extensions/CryptograPHP/language/tr_TR/description.txt	(revision 17743)
@@ -0,0 +1,1 @@
+Kayıt, yorum ve iletişim formu sayfalarına captcha ekler. (P&t 'ye teşekkürler)
Index: /extensions/CryptograPHP/language/tr_TR/index.php
===================================================================
--- /extensions/CryptograPHP/language/tr_TR/index.php	(revision 17743)
+++ /extensions/CryptograPHP/language/tr_TR/index.php	(revision 17743)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/CryptograPHP/language/tr_TR/plugin.lang.php
===================================================================
--- /extensions/CryptograPHP/language/tr_TR/plugin.lang.php	(revision 17743)
+++ /extensions/CryptograPHP/language/tr_TR/plugin.lang.php	(revision 17743)
@@ -0,0 +1,53 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Preview'] = 'Ön görünüm';
+$lang['Random string'] = 'Rastgele yazı';
+$lang['Register form'] = 'Kayıt formu';
+$lang['Simple equation'] = 'Basit eşitlik';
+$lang['Solve equation'] = 'Eşitliği çöz';
+$lang['Text color'] = 'Metin rengi';
+$lang['Tip: type "random" on a color field to have a random color'] = 'Tavsiye: rastgele renk için renk alanına "random" yazın';
+$lang['good value:'] = 'iyi değer:';
+$lang['random'] = 'rastgele';
+$lang['range:'] = 'aralık:';
+$lang['Activate on'] = 'Etkinleştir';
+$lang['Album comments'] = 'Albüm yorumları';
+$lang['Background color'] = 'Arkaplan rengi';
+$lang['Captcha theme'] = 'Captcha teması';
+$lang['Captcha type'] = 'Captcha tipi';
+$lang['Case sensitive'] = 'Büyük/küçük harfe duyarlı';
+$lang['Code lenght'] = 'Kod uzunluğu';
+$lang['Comments action'] = 'Yorum eylemi';
+$lang['Contact form'] = 'İletişim formu';
+$lang['Enter code'] = 'Kodu girin';
+$lang['Font'] = 'Yazıtipi';
+$lang['Guestbook'] = 'Misafir defteri';
+$lang['Invalid Captcha'] = 'Geçersiz Captcha';
+$lang['Lines color'] = 'Satır rengi';
+$lang['Lines density'] = 'Satır yoğunluğu';
+$lang['Moderate'] = 'Orta';
+$lang['Noise color'] = 'Gürültü rengi';
+$lang['Noise level'] = 'Gürültü seviyesi';
+$lang['Perturbation'] = 'Karışıklık';
+$lang['Picture comments'] = 'Resim yorumları';
+?>