Index: /extensions/UserAdvManager/trunk/language/es_ES/help.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/es_ES/help.lang.php	(revision 17744)
+++ /extensions/UserAdvManager/trunk/language/es_ES/help.lang.php	(revision 17745)
@@ -123,3 +123,120 @@
 - <b style=&quot;color: red;&quot;>[nombre de usuario] </b> para insertar automáticamente el nombre del usuario de destino del correo electrónico.<br>
 - <b style=&quot;color: red;&quot;>[mygallery] </b> para insertar el título de la galería.';
+$lang['UAM_confirmmailTitle_d'] = 'Esta opción permite al usuario confirmar una inscripción haciendo clic en un enlace recibido en un correo electrónico enviado por el registro de la galería o el administrador para activar manualmente el registro. <br><br>
+En el primer caso, el mensaje incluye una parte fija, con el enlace de activación generada a partir de una clave aleatoria (esta clave posiblemente puede ser regenerado a través de la "confirmación de seguimiento" ficha), y adaptable algunos un texto de bienvenida.
+<br><br>
+En el segundo caso, <b> <u> no hay clave de envio de correo electrónico de confirmación </ u> </ b>. Los visitantes deben esperar al administrador que valide a través de la pestaña "confirmación de seguimiento" su registro. Se recomienda habilitar la notificación de los administradores durante el registro (ver las opciones de configuración Piwigo) y utilizar la "Información de correo electrónico a los usuarios" para advertir a los nuevos participantes de la necesidad de esperar antes de activación de su cuenta.
+<br>
+<b style=&quot;color: red;&quot;>Nota:. Las opciones de "Limitación de confirmación de registro" y "recordatorios por correo para confirmar registrado" debe estar desactivados cuando la confirmación manual está activa </b>
+<br><br>
+Esta opción se usa típicamente con la asignación automática de grupo y / o el estado. Como se confirma o no el registro, es posible asignar el usuario a un grupo diferente, con un acceso más o menos restringido a la galería.';
+$lang['UAM_confirmlevelTitle_d'] = '<b style=&quot;color: red;&quot;>PRECAUCIÓN: El uso de los niveles de confidencialidad requiere la confirmación de que ha asignado un nivel de privacidad a las fotos que desee restringir. Consulte la documentación para obtener más detalles Piwigo. </ b> <br><br>
+Los niveles de confidencialidad confirmación se utilizan en combinación con la "Confirmación de Registro"';
+$lang['UAM_confirmlevelTitle'] = 'Nivel de confidencialidad';
+$lang['UAM_USRAutoTitle_d'] = 'La gestión automática de los visitantes sin confirmar se activa cada vez que se conecta a la galería y trabaja de la siguiente manera:
+<br><br>
+- Eliminación automática de cuentas no confirmadas en el tiempo asignado sin el envío de recuperación automática por correo electrónico -> "Limitar el tiempo de confirmación de registro" <b> <u> está activo </u> </b> "recordatorio por correo electrónico a los solicitantes de registro no confirmado "<b> <u> está inactivo </u> </b>.
+<br><br>
+- Envío automático de un recordatorio con una nueva generación de confirmación de llave y la eliminación automática de cuentas no confirmadas en el tiempo después de enviar el estímulo ->
+"Limitar el periodo de confirmación de registro" <b><u> está activo </u> </b> "recordatorios por correo certificado a confirmar" <b> <u> está activo </u> </b>.';
+$lang['UAM_USRAutoMailTitle_d'] = 'Cuando se activa, esta función automáticamente enviara un contenido personalizado en "recordatorio email con la llave generada" a los visitantes que coincidan con los criterios.';
+$lang['UAM_USRAutoDelTitle_d'] = 'Esto sólo es válido cuando el usuario cuya cuenta ha eliminado el  mismo desencadenando el mecanismo de supresión (raro pero posible). Entonces estára desconectado de la galería y redirigido a una página que muestra la supresión de su cuenta y, eventualmente, los motivos de esta supresión.
+<br> <br>
+Siga personalizando el contenido con etiquetas especiales insertadas: <br>
+- <b style=&quot;color: red;&quot;>[username]</b>para insertar automáticamente el nombre del usuario de destino del correo electrónico.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b>para insertar el título de la galería.<br>
+- <b style=&quot;color: red;&quot;>[myurl]</b> para insertar la URL de su galería si esta en las opciones de configuración de Piwigo.
+<br><br>
+Texto para la página de redireccionamiento se pueden introducir en este campo que es compatible con el Editor FCK y, para multi-idiomas, puede utilizar las etiquetas [lang] de la descripción Extended Plugin si está activo.';
+$lang['UAM_Tracking registered users_d'] = 'Esto activa una tabla en la ficha "Seguimiento de usuarios registrados"  donde se encuentran en la galería usuarios registrados con la fecha de la última visita y el tiempo que pasan (en días) desde su última visita. La supervisión es puramente informativo para el administrador de la galería.
+';
+$lang['UAM_StuffsTitle_d'] = 'Esto permite que un módulo adicional en el PWG Stuffs UAM plugin (si está instalado) para informar a sus visitantes que no han confirmado su inscripción.
+<br>
+Por favor, consulte la sección <b> trucos y ejemplos de uso </ b> en la parte inferior de esta página para obtener más información.';
+$lang['UAM_RejectConnexion_d'] = 'Si se activa, los nuevos usuarios registrados que no han confirmado su inscripción no serán capazes de conectarse a la galería. Serán redirigido a una página especial para informarles de este estado. <br><br>
+<b style=&quot;color: red;&quot;>Advertencia - Esta característica sólo funciona en conjunto con los grupos de confirmación! Vea a continuación para configurar los grupos según sea necesario. </b>';
+$lang['UAM_RejectConnexion_Custom_Txt_d'] = 'Personaliza aquí tu texto de explicación para informar a los usuarios no confirmados de que no serán capaz de conectarse a la galería hasta que hayan confirmado su inscripción.
+<br> <br>
+Este campo es compatible con el editor FCK y, para múltiples idiomas, puede usar los botones [lang] del plugin Descripción ampliada si es activo.';
+$lang['UAM_PwdResetTitle_d'] = 'Al habilitar esta opción, se agregará una nueva función en el panel de gestión de usuarios de Piwigo (Usuarios> Administrar) para  solicitar la renovación de la contraseña para los usuarios seleccionados. Además, una nueva columna se agrega para mostrar el estado de contraseñas para cada uno de ellos con los siguientes valores: <br>
+- La contraseña debe renovarse:. Una solicitud de renovación de contraseña ha sido planeado <br>
+- Password renovado:. La contraseña se ha renovado después de una solicitud <br>
+- Password Original:. La contraseña original elegido al crear la cuenta y que nunca ha sido requerido para una renovación <br>
+Webmaster, cuentas genéricas y su acompañante están excluidos de esta función. <br>
+Estos usuarios serán redirigidos automáticamente a su página de personalización en cada una de sus conexiones hasta que cambien su contraseña y un mensaje explícito se muestrara en esta página.';
+$lang['UAM_MailInfo_Subject_d'] = 'Inserte aquí un texto personalizado para el email<br>
+Por defecto, el campo tiene un texto genérico en ingles pero puede cambiarlo utilizando las etiquetas de traducción [lang=??] del plugin Extended Description si esta instalado.
+<br><br>
+Las siguientes etiquetas de personalizaciones adicionales están disponibles sin necesidad de utilizar el plugin Extended Description.<br>
+- <b style=&quot;color: red;&quot;>[username]</b>para insertar automáticamente el nombre del usuario de destino del correo electrónico.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b>para insertar el título de la galería.<br>';
+$lang['UAM_HidePasswTitle_d'] = 'Seleccione aquí si desea visualizar la contraseña elegida por el visitante en el correo electrónico de información. Si se habilita la opción, la contraseña aparecerá en texto claro. Si desactiva la contraseña no aparece en absoluto.';
+$lang['UAM_GT_MainTitle_d'] = '- Gestión automática o manual de los usuarios fantasma <br>
+- E-mailing <br>
+...';
+$lang['UAM_GTReminder_Subject_d'] = 'Inserte aquí un texto personalizado para el email recordatorio del Ghost Tracker.<br>
+Por defecto, el campo tiene un texto genérico en ingles pero puede cambiarlo utilizando las etiquetas de traducción [lang=??] del plugin Extended Description si esta instalado.
+<br><br>
+Las siguientes etiquetas de personalizaciones adicionales están disponibles sin necesidad de utilizar el plugin Extended Description.<br>
+- <b style=&quot;color: red;&quot;>[username]</b>para insertar automáticamente el nombre del usuario de destino del correo electrónico.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b>para insertar el título de la galería.<br>';
+$lang['UAM_GTAutomail_Text_d'] = 'Introduzca el texto personalizado que también explicar las razones del descenso de categoría, para acompañar el enlace de confirmación. El texto personalizado no es obligatorio pero sí muy recomendable. De hecho, los usuarios no apreciarán recibir un correo electrónico que contiene sólo un único enlace sin más explicaciones. ;-)
+<br> <br>
+Siga personalizando el contenido con etiquetas especiales insertadas: <br>
+- <b style=&quot;color: red;&quot;>[username]</b>para insertar automáticamente el nombre del usuario de destino del correo electrónico.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b>para insertar el título de la galería.<br>
+- <b style=&quot;color: red;&quot;>[myurl]</b> para insertar la URL de su galería si esta en las opciones de configuración de Piwigo.
+<br><br>
+Para utilizar varios idiomas, puede utilizar las etiquetas del plugin Descripción ampliada, si está activo.';
+$lang['UAM_GTAutomail_Subject_d'] = 'Ingrese aquí el asunto del correo electrónico de degradación automática del Rastreador  Ghost . <br>
+Por defecto, el campo tiene un texto genérico en Inglés, pero se puede cambiar y utilizar las etiquetas de traducción [lang =?] Del plugin de descripción ampliada si está instalado.
+<br> <br>
+Las siguientes etiquetas de personalizaciones adicionales están disponibles sin necesidad de utilizar el plugin Descripción Extendida: <br>
+- <b style=&quot;color: red;&quot;>[username]</b>para insertar automáticamente el nombre del usuario de destino del correo electrónico.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b>para insertar el título de la galería.<br>';
+$lang['UAM_GTAutoTitle_d'] = 'Esta opción permite aplicar reglas para la gestión automatizada de los usuarios fantasmas.
+<br> <br> Principio básico: Un usuario que llega al tiempo máximo entre visitas <b> <u> y </ u> </ b> ya ha sido notificado por correo electrónico se considerará caducado. A continuación, puede aplicar reglas automatizadas de procesamiento tales como la eliminación automática de las cuentas caducadas o descenso al restringir el acceso a la galería (cambia automáticamente a un grupo restringido y / o de estado).
+<br> <br> La activación de estas automatización se consigue cuando se conectan los usuarios (cualquier usuario!) a la galería.';
+$lang['UAM_GTAutoMailTitle_d'] = 'Cuando una cuenta ha caducado (grupo / estado / nivel de privacidad  degradación del visitante), una información de correo electrónico se pueden enviar para aclarar las razones de este cambio y los medios para recuperar el acceso inicial a la galería.
+<br> Para ello, un enlace a la reconfirmación de la inscripción se adjunta a la dirección de correo electrónico (generación automática de una clave nueva confirmación).<b style=&quot;color: red;&quot;> Si el usuario ya ha sido notificado, su cuenta se destruyera automáticamente. </b>
+<br><br>
+<b style=&quot;color: red;&quot;>Advertencia:. El uso de esta función está íntimamente asociado con la confirmación de registro por el usuario (confirmación por correo) y no puede ser activado sin esta opción </b>';
+$lang['UAM_GTAutoGpTitle_d'] = '<br> <br>
+El cambio automático de grupo, el estado o nivel de privacidad es como una degradación de las cuentas involucradas y de trabajo en el mismo principio que el nivel del grupo, el estado o la privacidad de confirmación (ver &quot;Setting confirmations of registration&quot;). Por lo tanto definir un grupo, un estatuto y / o el nivel de degradación a la galería. Si esto ya ha sido definido con el uso de la función de confirmación de registro, puede utilizar el mismo grupo / estado / nivel. 
+<br><br>
+<b style=&quot;color: red;&quot;>Nota importante: </ b> Si un usuario fantasma todavía no ha sabido nada pasado el límite de tiempo y a pesar de la notificación automática por correo electrónico (si está activado), sera automáticamente eliminado de la base de datos.';
+$lang['UAM_GTAutoDelTitle_d'] = 'Esto sólo es válido cuando el usuario cuya cuenta ha caducado o la ha suprimido el mismo (raro pero posible). entonces sera desconectado de la galería y redirigido a una página que muestra la supresión de su cuenta y, eventualmente, los motivos de esta supresión.
+<br> <br>
+Siga personalizando el contenido con etiquetas especiales insertadas: <br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b>para insertar el título de la galería. <br>
+- <b style=&quot;color: red;&quot;>[myurl]</b> para insertar la URL de su galería si esta en las opciones de configuración de Piwigo.<br>
+<b style=&quot;color: red;&quot;>[username]</b>no está disponible aquí porque el usuario en cuestión ha sido borrado.
+<br> <br>
+Texto para la página de redireccionamiento se pueden introducir en este campo que es compatible con el Editor FCK y, para multi-idiomas, puede utilizar las etiquetas [lang] de la descripción Extended Plugin si está activo. 
+';
+$lang['UAM_DumpTitle_d'] = 'Esto le permite guardar toda la configuración del plug-in en un archivo para poder restaurarlo en caso de que algo salga mal (manipulación incorrecta o antes de una actualización, por ejemplo). De forma predeterminada, el archivo se almacena en la carpeta ../plugins/UserAdvManager/include/backup/ and is called &quot;UAM_dbbackup.sql&quot;.
+<br> <br>
+<b style=&quot;color: red;&quot;>Advertencia: El archivo se sobrescribe en cada acción de copia de seguridad </ b>
+<br> <br>
+A veces puede ser útil para recuperar el archivo de copia de seguridad en su ordenador. Por ejemplo: para restaurar a otra base de datos, para exteriorizar o llevar a múltiples archivos de salvar. Para ello, basta con marcar la casilla para descargar el archivo.
+<br> <br>
+La recuperación de esta interfaz sólo está disponible para el archivo de copia de seguridad local (../plugins/UserAdvManager/include/backup/UAM_dbbackup.sql). 
+El archivo descargado de copia de seguridad no se puede restaurar por este camino. Para ello, utilice la herramienta de gestión de base de datos dedicado (como phpMyAdmin para MySQL base de datos).
+<br> <br>
+<b style=&quot;color: red;&quot;>Advertencia: Después de la restauración, es necesario volver a cargar la página de administración del plugin para ver los ajustes restaurados </ b>';
+$lang['UAM_CustomPasswRetrTitle_d'] = 'De forma predeterminada, cuando un usuario ha perdido su contraseña y selecciona la opción de recuperación, recibe un correo electrónico con su nombre de usuario único y su nueva contraseña.
+<br><br>
+Aquí, usted puede agregar texto de su elección para ser insertada <b> <u> antes de </ u> </ b> la información estándar.
+<br><br>
+Siga personalizando el contenido con etiquetas especiales insertadas: <br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b>para insertar el título de la galería. <br>
+- <b style=&quot;color: red;&quot;>[myurl]</b> para insertar la URL de su galería si esta en las opciones de configuración de Piwigo. <br><br>
+Para utilizar varios idiomas, puede utilizar las etiquetas del plugin Descripción ampliada, si está activo.
+';
+$lang['UAM_ConfirmMail_Subject_d'] = 'Ingrese aquí su confirmación de registro personalizado de asunto del correo electrónico.<br>
+Por defecto, el campo tiene un texto genérico en Inglés, pero se puede cambiar y utilizar las etiquetas de traducción [lang =?] Del plugin de descripción ampliada si está instalado.
+<br><br>
+Las siguientes etiquetas de personalizaciones adicionales están disponibles sin necesidad de utilizar el plugin Descripción Extendida:<br>
+- <b style=&quot;color: red;&quot;>[username]</b>para insertar automáticamente el nombre del usuario de destino del correo electrónico.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b>para insertar el título de la galería.<br>';
 ?>