Index: /extensions/edit_gmaps/admin/admin.php
===================================================================
--- /extensions/edit_gmaps/admin/admin.php	(revision 17760)
+++ /extensions/edit_gmaps/admin/admin.php	(revision 17761)
@@ -2,5 +2,4 @@
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 include_once(PHPWG_ROOT_PATH.'admin/include/tabsheet.class.php');
-
 
 $template->set_filename('plugin_admin_content', dirname(__FILE__).'/admin.tpl');
@@ -14,15 +13,12 @@
 
 $tabsheet = new tabsheet();
-$tabsheet->add( 'edit', 'Edit', add_url_params( $my_base_url, array('tab'=>'edit') ) );
-//$tabsheet->add( 'edit_meta', 'Edit_meta', add_url_params( $my_base_url, array('tab'=>'edit_meta') ) );
+$tabsheet->add( 'edit', 'edit', add_url_params( $my_base_url, array('tab'=>'edit') ) );
 $tabsheet->select($page['tab']);
 $tabsheet->assign();
-
 $my_base_url = $tabsheet->sheets[ $page['tab'] ]['url'];
-$template->set_filename( 'tab_data', dirname(__FILE__).'/admin_'.$page['tab'].'.tpl' );
-include_once( dirname(__FILE__).'/admin_'.$page['tab'].'.php');
- 
+$ntpl=dirname(__FILE__).'\\admin_'.$page['tab'].'.tpl' ;
+$template->set_filename( 'tab_data', $ntpl ); 
+include_once( dirname(__FILE__).'/admin_'.$page['tab'].'.php'); 
 $template->assign_var_from_handle( 'TAB_DATA', 'tab_data');
 $template->assign_var_from_handle( 'ADMIN_CONTENT', 'plugin_admin_content');
-
 ?>
Index: /extensions/edit_gmaps/admin/admin_edit.php
===================================================================
--- /extensions/edit_gmaps/admin/admin_edit.php	(revision 17760)
+++ /extensions/edit_gmaps/admin/admin_edit.php	(revision 17761)
@@ -5,5 +5,4 @@
 $admin_url = PHPWG_ROOT_PATH.'admin.php';
 
-if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 
 /***********************************************************************************/
@@ -25,37 +24,53 @@
 $icon_path = 'themes/default/icon/help.png';
 $path_js=  'themes/default/js/' ;
+ 
+$global_tpl=realpath(PHPWG_ROOT_PATH).'\\admin\\themes\\default\\template\\batch_manager_global.tpl' ;
+
+$template->assign(
+    array(  'EDIT_CL_PATH' => EDIT_CL_PATH,
+            'path_js' => $path_js,
+            'VERSION'=> $version,
+            'EDIT_CL_PATH_ABS' => dirname(__FILE__).'/',
+            'GLOBAL_TPL' => $global_tpl
+          )
+  );
+
 /****************************************************************/
 $info_message="" ;
 $erreur_message=""; 
 /****************************************************************/
-if ( !isset($_GET['cat']) )   $_GET['cat'] = 'caddie';
-$_GET['mode'] = 'map';
-    if (PHPWG_VERSION < 2.2 ) {
-      include (PHPWG_ROOT_PATH.'admin/element_set.php');
-    } else {
-      if (!isset($page['title'])) $page['title']="";
-      include (PHPWG_ROOT_PATH.'admin/batch_manager.php');
-    $template->concat('TABSHEET_TITLE', ' '.l10n_dec('%d image', '%d images', count($page['cat_elements_id'])).' - '.$page['title']);
-  }
+if ( !isset($_GET['mode']) ) $_GET['mode'] = 'global';
+if(!isset($_GET['cat'])) $_GET['cat']="" ;
+if(isset($_POST['filter_prefilter'])){
+  $_GET['cat'] = $_POST['filter_prefilter']; 
+}
+
+if (!isset($page['title'])) $page['title']="";
+if(!isset($_POST['selectAction'])) $_POST['selectAction']="" ;
+
+//$info_message .= cl_edit_functions::Memo_Vars($_POST);
+check_input_parameter('selection', $_POST, true, PATTERN_ID);
+
+include (PHPWG_ROOT_PATH.'admin/batch_manager.php'); 
+
+if(isset($page['cat_elements_id'])) 
+    $template->concat('TABSHEET_TITLE', ' '.l10n_dec('%d image', '%d images', count($page['cat_elements_id'])).' - '.$page['title']);  
+
+ 
+    $tabsheet = new tabsheet();
+    $tabsheet->assign(); 
+     
+ // $current  =  $template->get_template_vars('TAB_DATA'); 
+// prefilters,tags
+
+//  $erreur_message .= cl_edit_functions::Memo_Vars( $current);
+
 //===============================================================
 $collection = array(); 
-if(!isset($_POST['target'])) $_POST['target']="";
-
-  switch ($_POST['target']){
-    case 'all' :
-      $collection = $page['cat_elements_id'];
-    break;
-    case 'selection' :
-      if (!isset($_POST['selection']) or count($_POST['selection']) == 0)
-        array_push($page['errors'], l10n('Select at least one photo'));
-      else
+  if(isset($_POST['selection']))
         $collection = $_POST['selection'];
-    break;
-  }
-if (isset($_POST['selection'])){}
 //===============================================================        
   $images=array();   
-if (!empty($_GET['display']))
-{
+if (!empty($_GET['display'])){
   if ('all' == $_GET['display'])
     $page['nb_images'] = count($page['cat_elements_id']);
@@ -66,8 +81,7 @@
   $page['nb_images'] = 20;
 
-if ( !empty($page['cat_elements_id']) )
-{
+if ( !empty($page['cat_elements_id']) ){
   $query='
-SELECT id,tn_ext,name,path,file,lat,lon,alt FROM '.IMAGES_TABLE.'
+SELECT * FROM '.IMAGES_TABLE.'
   WHERE id IN ('.implode(',',$page['cat_elements_id']).')
   '.$conf['order_by'].'
@@ -77,4 +91,5 @@
   while ( $row=mysql_fetch_assoc($result) )
     $images[] = $row;
+
 }
 //===============================================================
@@ -169,5 +184,5 @@
     $_POST['update'] ="ok";
   }
-
+//======================================================================
 if ( isset($_POST['submit'])  ) {
   /******** Mise à jour base de données *****/
@@ -179,5 +194,5 @@
         //===============================================================
        if($lat !="") cl_edit_controler::add_data_base($collection,$lat,$lon,$alt) ;
-        $_POST['submit'] = l10n('Submit') ;
+        $_POST['submit'] = l10n('selectAction') ;
             foreach ($collection as $id_0){
           foreach ($images as $image) {  
@@ -192,21 +207,5 @@
     }
  }
-/**************************************/
-
-$specials_selected = null;
-foreach( array('caddie'=>'Caddie', 'recent'=>'Recent photos') as $k => $v){
-    $link = $admin_url.get_query_string_diff(array('start','cat')).'&amp;cat='.$k;
-    $template->append(
-        'specials',
-        array(
-            $link => l10n($v),
-            ),
-        true
-        );
-    if ($k == $_GET['cat']) $specials_selected = $link;
-}
-
-
-$template->assign('specials_selected', $specials_selected);
+
 /****************************************/
 $query = '
@@ -240,14 +239,16 @@
 //========================================================================
   $v_exif="";
+ $current = $template->get_template_vars('thumbnails');  
+ $j=0;
+ $thumbnails= array();
 foreach ($images as $image){  
-  
     $infos_gps  = array();
     $infos_gps  =  cl_edit_controler::Get_exif_gps( $image['path'],$image,false) ;
-    $v_exif=$infos_gps['is_exif']?true:false ;   
+    $v_exif=$infos_gps['is_exif']?"EXIF":"" ;   
     $v_db=false  ; 
     $v_db=$image['lat']!=0 && $image['lon']!=0;
-
-    if(  $infos_gps['lat'] !=0  || $infos_gps['lon'] !=0 ) {  
-    
+    $v_db=$v_db?"BD":"";
+
+    if(  $infos_gps['lat'] !=0  || $infos_gps['lon'] !=0 ) {      
       $new= ( !isset($image['lat'])? true: $image['lat']!=$infos_gps['lat'] ) ;
       $image['lat']=$infos_gps['lat'];
@@ -255,23 +256,45 @@
       $image['alt']=$infos_gps['alt'];
       $sel_img= array($image['id']);
-      if ($new) cl_edit_controler::add_data_base( $sel_img,$image['lat'],$image['lon'],$image['alt']) ;              
+      if ($new) cl_edit_controler::add_data_base( $sel_img,$image['lat'],$image['lon'],$image['alt']) ;             
    }         
-   //================================================= 
-   $tpl_var = array_merge( $image,
-      array(
-        'U_EXIF' => $v_exif,
-        'U_DB' => $v_db,
-        'U_TN' => get_thumbnail_url($image),
-        'TITLE' => get_thumbnail_title($image)
-      ) );
-
-  if ( isset($image['lat']) ){
-    $tpl_var['U_MAP'] = cl_make_map_picture_url( 
-    array('image_id'=>$image['id'],
-          'image_file'=>$image['file']) );
-         } 
-            
-    $template->append('thumbnails', $tpl_var);
-}
+  //================================================= 
+  $name = render_element_name($image);
+  $desc = render_element_description($image); 
+     if (!in_array($image['id'],$current[$j])) { 
+      $j =0;
+        foreach($current as $rK => $rV){
+            if (!in_array($image['id'],$rV)) {  
+                $j++ ;
+            } else{
+            //   $info_message .= cl_edit_functions::Memo_Vars($current[$j]); 
+                break ;
+            }
+        }
+     }
+  //================================================= 
+   $tpl_var =  array_merge(
+                   $current[$j],     array(
+                  'ID' =>$image['id'], 
+                  'lat'  =>    $image['lat']    ,
+                  'lon' =>     $image['lon']    ,
+                  'alt' =>     $image['alt']    ,               
+                  'TN_SRC' => get_thumbnail_url($image),
+                  'TITLE' => get_thumbnail_title($image,$name,$desc),
+                  'U_EXIF' => $v_exif,
+                  'U_BD' =>  $v_db ,
+                  'U_MAP' => cl_make_map_picture_url(
+                                                array(
+                                                      'image_id'=>$image['id'],
+                                                      'image_file'=>$image['file'],
+                                                      )
+                                                    )
+                        )
+                  );
+           
+      $thumbnails[]=$tpl_var;  
+      $j++;
+} 
+       
+$template->assign('thumbnails', $thumbnails);
 
 
@@ -281,10 +304,13 @@
     )
   );
-
-
+ 
 //==================================================================================
 $match="";
 if ( isset($_POST['submit'])   ) {
-  if ($_POST['submit']==l10n('Submit') ) {
+
+ if ($_POST['submit']==l10n('selection') ) {
+    $collection =$_POST['selection'];
+  }
+  if ($_POST['submit']==l10n('add') ) {
     $_POST['selection']=array();
     $collection =array();
@@ -293,17 +319,10 @@
   if ($_POST['submit']==l10n('reset' ) ) {
     $_POST['selection']=array();
+     $collection =array();
     unset($collection);
   }
 }
 //=================================================================================
-$src="";
-$template->assign(
-    array(  'EDIT_CL_PATH' => EDIT_CL_PATH,
-            'path_js' => $path_js,
-            'VERSION'=> $version,
-            'EDIT_CL_PATH_ABS' => dirname(__FILE__).'/',
-          )
-  );
- 
+$src=""; 
 $template->assign( 'coordinates',
                     array(  'FILE' => '',
@@ -315,6 +334,8 @@
                         )
                     );
-//======================================================================
+//====================================================================== 
 if (isset($_POST['submit']) and $_POST['submit']==l10n('selection' )){
+$collection=$_POST['selection'] ;
+
   if (isset($collection)) {
     $init_info =true;
@@ -359,5 +380,4 @@
                     $lonDMS= dec2dms($lon) ;
                     $latDMS= dec2dms($lat) ;
-
                         $v_db=false  ; 
     $v_db=$lon!=0 && $lat!=0;
@@ -374,5 +394,5 @@
                   'lonDMS' =>   $lonDMS[3]     ,
                   'adresse' =>  $adresse   ,
-                  'U_TN' => get_thumbnail_url($image),
+                  'TN_SRC' => get_thumbnail_url($image),
                   'TITLE' => get_thumbnail_title($image),
                   'U_EXIF' =>  $infos_gps['is_exif'] ,
Index: /extensions/edit_gmaps/admin/admin_edit.tpl
===================================================================
--- /extensions/edit_gmaps/admin/admin_edit.tpl	(revision 17760)
+++ /extensions/edit_gmaps/admin/admin_edit.tpl	(revision 17761)
@@ -1,10 +1,4 @@
 {html_head}
-{* $Id: admin_edit.tpl  2011-01-03   *}
-{if PHPWG_VERSION < 2.2 } 
-{include file=$EDIT_CL_PATH_ABS|@cat:'header_2_1.tpl'} 
-{else} 
-{include file= $EDIT_CL_PATH_ABS|@cat:'header_2_2.tpl'}
-{/if}
-
+{include file= $EDIT_CL_PATH_ABS|@cat:'header.tpl'}
  {assign var='visible' value = true }
   {if not empty($Selectthumbnails)  }
@@ -34,5 +28,4 @@
                 onLoad();
                 });
-
  
 
@@ -47,126 +40,66 @@
  border:outset;
 }
- 
-
 {/literal}
 </style>
-
-
-
-{/html_head}
+{/html_head} 
+ {$file_name}  
+ <fieldset  id="Elements"  class="fieldset" >
+{include file= $GLOBAL_TPL}
+</fieldset>
+ <script type="text/javascript"> 
+   {if empty($Selectthumbnails)  }    
+      var no_affiche="false" ;
+   {else}  
+      var no_affiche="true" ;
+   {/if} 
+    </script>
+{footer_script}{literal}
  
- {$file_name}
-  
-
-    <fieldset class="fieldset">
-        <legend>{'Display options'|@translate}</legend>
-        <table ><td class="cluetip" title="{'set'|translate}|{'hlp_line1'|@translate}." align="left"  >
-        <form>
-        Set:
-        <select onchange="document.location = this.options[this.selectedIndex].value;"   >
-        <optgroup label="Specials">
-        {html_options options=$specials}
-        </optgroup>
-        <optgroup label="{'Categories'|@translate}">
-        {html_options options=$categories selected=$categories_selected}
-        </optgroup>
-        <!-- <optgroup label="{'Tags'|@translate}"></optgroup> -->
-        </select>
-        </form>
-        </td>
-        <td   > {'hlp_line2'|@translate} </td>
-        </table>
-        <p>{'elements per page'|@translate}:
-            <a href="{$U_DISPLAY}&amp;display=20">20</a>
-        | <a href="{$U_DISPLAY}&amp;display=50">50</a>
-        | <a href="{$U_DISPLAY}&amp;display=100">100</a>
-        | <a href="{$U_DISPLAY}&amp;display=all">{'all'|@translate}</a>
-        </p>
-    </fieldset> 
-
+jQuery(document).ready(function() {
+   
+
+
+    {/literal}
+    val0="{'reset'|@translate}";
+        jQuery('input[value='+val0+']').click(function (i) {ldelim}
+    jQuery("#selectNone").click();
+  });
+
+   title="{'selection'|@translate}|{'hlp_line3'|@translate}.";   
+   value="{'selection'|@translate}" ;
+
+   message='<p><input class="cluetip submit" type="submit" name="submit"   title="'+ title +'" value="'+ value +'"  /> ';
+
+   message+='</p>';
+  jQuery("#permitAction").append(message);
+      
+
+});
+{/footer_script}
 <form action="" method="post" id="Envoie" name="Envoie"   >
-  {if not empty($thumbnails) &&  empty($Selectthumbnails) }  {/if} 
-
-<fieldset  id="Elements"  class="fieldset">
-	<legend>{'Elements'|@translate}
-    {if !empty($navbar) }{include file='navigation_bar.tpl'} {/if}</legend>
-        <fieldset >   
-	        <ul class="thumbnails">
-		        {foreach from=$thumbnails item=thumbnail}
-		        <li><span class="wrap1">
-			        <label>
-				        <span class="wrap2"><span>
-					        <img src="{$thumbnail.U_TN}" alt="{$thumbnail.file}" title="{$thumbnail.TITLE}" class="thumbnail" />
-				        </span></span>
-				        <input type="checkbox" name="selection[]" value="{$thumbnail.id}"    />
-			        </label>
-			        <span class="thumbLegend" >
-              <div> {$thumbnail.file} </div>
-              {if isset($thumbnail.U_MAP)}
-              <div ><a href="{$thumbnail.U_MAP}" target="_blank" >
-              {if $thumbnail.U_EXIF  } 
-              EXIF
-              {/if}
-              {if $thumbnail.U_DB  } 
-                BD
-              {/if}</a>
-              </div>			         
-			          
-			         {/if}
-                    
-					
-			        </span>
-
-			        </span>
-		        </li>
-		        {/foreach}
-	        </ul>	  
-        </fieldset>
-
-        <fieldset>
-        <label> {'target'|@translate}</label>
-        <table>
-        <td><label><input type="radio" name="target" value="all" /> {'all'|@translate}</label></td>
-        <td><label><input type="radio" name="target" value="selection" checked="checked" /> {'selection'|@translate}</label></td>
-        <input class="cluetip submit" title="{'selection'|@translate}|{'hlp_line3'|@translate}." type="submit" name="submit" value="{'selection'|@translate}"   />
-        			<td>
-			<input class="cluetip submit" title="{'update_exif'|@translate}|{'hlp_update_exif'|@translate}." type="submit" value="{'update_exif'|@translate}" name="update" {$tag_input_enabled} /></td>
-
-</table>
-        </fieldset>
-</fieldset>
- <script>
-
-   {if empty($Selectthumbnails)  }    
-   var no_affiche="false" ;
-   {else}  
-   var no_affiche="true" ;
-   {/if} 
-   </script>
 
 <fieldset   id ="geoposition"  class="fieldset" >
-<legend>{'Selection'|@translate}</legend>
-  
+<legend>{'Selection'|@translate}</legend>  
     <fieldset>    
 	    <ul class="thumbnails">
-
 		  {foreach from=$Selectthumbnails item=thumbnail}		 
 			<li><span class="wrap1">
 				<label>
-					<span class="wrap2"><span>
-						<img src="{$thumbnail.U_TN}" alt="{$thumbnail.file}" title="{$thumbnail.TITLE}" class="thumbnail" />
-					</span>					
+					<span class="wrap2">
+          <span><img src="{$thumbnail.TN_SRC}" alt="{$thumbnail.file}" title="{$thumbnail.TITLE}" class="thumbnail" /></span>	
+         <span class="thumbLegend">	
+          <div>{$thumbnail.file} </div> 		
+            {if $thumbnail.U_EXIF } Exif{/if}
+            {if $thumbnail.U_BD } Bd {/if}
+				    {if isset($thumbnail.U_MAP)}
+					    <a href="{$thumbnail.U_MAP}" target="_blank"><div>{$thumbnail.lat}</div><div>{$thumbnail.lon}</div></a>
+				    {/if}					  
+				</span>		
+        		
 					</span>
 					<br/>
                 </label>
 				<input type="hidden"  value={$thumbnail.id}  name="selection[]"    />				
-				<span class="thumbLegend">	<div>{$thumbnail.file} </div> 		
-        {if $thumbnail.U_EXIF } Exif{/if}
-         {if $thumbnail.U_BD } Bd {/if}
-				{if isset($thumbnail.U_MAP)}
-					<a href="{$thumbnail.U_MAP}" target="_blank"><div>{$thumbnail.lat}</div><div>{$thumbnail.lon}</div></a>
-				{/if}
-					  
-				</span>
+				
 				</span>
 			</li>		
@@ -174,16 +107,15 @@
 		{/foreach}
 	</ul>
-</fieldset>
-    <fieldset>
+ <p></p><p></p>
+
+  </fieldset>
+
+   <fieldset>
     <label>{'command'|@translate}</label>
 
 		<table>
 			<td>
-			<input class="cluetip submit" title="{'reset'|@translate}|{'hlp_line4'|@translate}."
-        type="submit" name="submit" value="{'reset'|@translate}" /><br />
-			</td>
-			<td>
-			<input class="cluetip submit" title="{'selection'|@translate}|{'hlp_line3'|@translate}."
-        type="submit" name="submit" value="{'selection'|@translate}" />
+			<input class="cluetip submit" title="{'return'|@translate}|{'hlp_line4'|@translate}."
+        type="submit" name="submit" value="{'return'|@translate}" />
 			</td>
 		</table>
@@ -267,10 +199,6 @@
     </fieldset>
   </fieldset>
-
-
-
 </fieldset>
-
+</fieldset>
 </form>
 
- <fieldset >
Index: /extensions/edit_gmaps/admin/admin_edit_meta.php
===================================================================
--- /extensions/edit_gmaps/admin/admin_edit_meta.php	(revision 17760)
+++ /extensions/edit_gmaps/admin/admin_edit_meta.php	(revision 17761)
@@ -6,9 +6,6 @@
 if ( !isset($_GET['cat']) )   $_GET['cat'] = 'caddie';
 $_GET['mode'] = 'map';
-if (PHPWG_VERSION < 2.2 ) 
  include (PHPWG_ROOT_PATH.'admin/element_set.php');
-else 
-include (dirname(__FILE__).'\element_set.php');
-
+ 
 
  				
@@ -52,5 +49,7 @@
   } 
 
-  //**************** mise a jour de la base de données ************************** 
+/*********************************** 
+mise a jour de la base de donnees 
+***********************************/ 
   if (  $_POST['submit'] == l10n('update_database') ) {
 	  if ( count($collection)>0 )  {
Index: /extensions/edit_gmaps/admin/header.tpl
===================================================================
--- /extensions/edit_gmaps/admin/header.tpl	(revision 17761)
+++ /extensions/edit_gmaps/admin/header.tpl	(revision 17761)
@@ -0,0 +1,4 @@
+{combine_script id="jquery" load="header" path = $ROOT_URL|@cat:"themes/default/js/jquery.min.js "} 
+{combine_script id="jquery.cluetip" path = $ROOT_URL|@cat:"themes/default/js/plugins/jquery.cluetip.js" require="jquery" } 
+{combine_script id="EDIT_RV_script" load="footer" path=$EDIT_CL_PATH|@cat:"admin/js/JScript.js" require="jquery"}
+{combine_script id="fieldset" load="footer" path=$EDIT_CL_PATH|@cat:"admin/js/fieldset.js" require="jquery"}
Index: tensions/edit_gmaps/admin/header_2_2.tpl
===================================================================
--- /extensions/edit_gmaps/admin/header_2_2.tpl	(revision 17760)
+++ 	(revision )
@@ -1,4 +1,0 @@
-{combine_script id="jquery" load="header" path = $ROOT_URL|@cat:"themes/default/js/jquery.min.js "} 
-{combine_script id="jquery.cluetip" path = $ROOT_URL|@cat:"themes/default/js/plugins/jquery.cluetip.js" require="jquery" } 
-{combine_script id="EDIT_RV_script" load="footer" path=$EDIT_CL_PATH|@cat:"admin/js/JScript.js" require="jquery"}
- {combine_script id="fieldset" load="footer" path=$EDIT_CL_PATH|@cat:"admin/js/fieldset.js" require="jquery"}
Index: /extensions/edit_gmaps/admin/js/JScript.js
===================================================================
--- /extensions/edit_gmaps/admin/js/JScript.js	(revision 17760)
+++ /extensions/edit_gmaps/admin/js/JScript.js	(revision 17761)
@@ -1,3 +1,61 @@
 ﻿
+if (!window.log) {
+  window.log = function () {
+    log.history = log.history || [];
+    // store logs to an array for reference
+    log.history.push(arguments);
+    if (typeof console.log == 'function') {
+      // Modern browsers    
+      if ((Array.prototype.slice.call(arguments)).length == 1 && typeof Array.prototype.slice.call(arguments)[0] == 'string') {
+        console.log(
+                  (Array.prototype.slice.call(arguments)).toString());
+      } else {
+        console.log(Array.prototype.slice.call(arguments));
+      }
+    }
+  }
+}
+
+jQuery(document).ready(function () {
+  jQuery('input').click(function (i) {
+
+
+  });
+
+  jQuery("#selectNone").click(function (i) {
+    no_affiche = "false";
+    if (no_affiche != "true") {
+      ef_reduce("geoposition", { fast: true })
+     
+    } else {
+      ef_reduce("Elements", { fast: true })
+    }
+
+    jQuery("#selectNone").css("color", "blue");
+
+
+  });
+  jQuery("#selectNone1").click(function (i) {
+    no_affiche = "true";
+    jQuery("#selectNone").css("color", "red");
+    jQuery("#selectNone").click();
+
+  });
+
+  jQuery(".thumbnails label").each(function (i) {
+    var wrap2 = jQuery(this).children(".wrap2");
+    wrap2.append("<span class='thumbLegend'> </span>");
+  });
+  jQuery("filedset").each(function (i) {
+
+
+  });
+
+  jQuery(".thumbnails label").each(function (i) {
+    var wrap2 = jQuery(this).children(".wrap2");
+
+  });
+});
+
 /* Déclaration des variables  */
 var geocoder;
Index: /extensions/edit_gmaps/admin/js/fieldset.js
===================================================================
--- /extensions/edit_gmaps/admin/js/fieldset.js	(revision 17760)
+++ /extensions/edit_gmaps/admin/js/fieldset.js	(revision 17761)
@@ -1,4 +1,5 @@
 if (typeof ef_animate_fast == "undefined")
   var ef_animate_fast = true;
+var no_affiche;
 
 // Smart Fieldsets initialization/ 
@@ -6,5 +7,4 @@
   var ef_plus_bullet_path = './plugins/edit_gmaps/admin/icon/plus.png';
   var ef_minus_bullet_path = './plugins/edit_gmaps/admin/icon/minus.png';
-
 }
 
@@ -13,5 +13,8 @@
 
 function ef_reduce(fieldset_id, fast) {
+ jQuery('#' + fieldset_id).hide();
+  return;
   l_m = jQuery('#' + fieldset_id + ' legend');
+
   if (ef_reduce.arguments.length < 2) fast = ef_animate_fast;
   if (!l_m.is('.ef_command')) l_m.addClass('ef_command');
@@ -19,5 +22,5 @@
     l_m.trigger('ef_reduce_private', fast.fast,this);
   l_m.removeClass('ef_command');
-
+  l_m.hide();
 }
 
@@ -35,4 +38,5 @@
 function ef_init(fieldset_id, cache_id) {
   jQuery(document).ready(function () {
+    
     var f_m = jQuery('#' + fieldset_id);
     l_m = jQuery('#' + fieldset_id + ' legend');
@@ -118,5 +122,5 @@
           f_r.slideUp(400);
           f_m.slideDown(400, function () {
-            f_m.find('*').not('.ef_legends, img').animate({ opacity: 1 },200 );
+            f_m.find('*').not('.ef_legends, img').animate({ opacity: 1 }, 200);
           });
         }
@@ -131,5 +135,5 @@
       l_r.trigger('ef_maximize_private', ef_animate_fast);
     });
-    if (no_affiche!="true") {
+    if (no_affiche != "true") {
       ef_reduce("geoposition", { fast: true })
       // jQuery("#Envoie").trigger("submit");
@@ -161,5 +165,6 @@
 
 
-jQuery(document).ready(function () {
+jQuery(document).ready(function () {  
+
   if (jQuery(".fieldset").length >= 1) {
     jQuery(".fieldset").each(
Index: /extensions/edit_gmaps/edit_gmaps.inc.php
===================================================================
--- /extensions/edit_gmaps/edit_gmaps.inc.php	(revision 17760)
+++ /extensions/edit_gmaps/edit_gmaps.inc.php	(revision 17761)
@@ -287,5 +287,5 @@
 //===============================================================================	
 
-if ( isset($_POST['submit'] ) && $_POST['submit'] == l10n('cl_edit_save') )  {  
+if ( isset($_POST['selectAction'] ) && $_POST['selectAction'] == l10n('cl_edit_save') )  {  
 		$my_para->check_desc_v = isset($_POST['check_desc_v']) ? $_POST['check_desc_v'] : "off" ;
 
Index: /extensions/edit_gmaps/language/fr_FR/lang.php
===================================================================
--- /extensions/edit_gmaps/language/fr_FR/lang.php	(revision 17760)
+++ /extensions/edit_gmaps/language/fr_FR/lang.php	(revision 17761)
@@ -1,4 +1,6 @@
 <?php
 global $lang;
+$lang['return']="Retour";
+$lang['hlp_line4'] .= "Modifie la sélection.";  
 $lang['update']='Mise à jour ';
 $lang['update_exif']='Mise à jour EXIF';
@@ -24,5 +26,5 @@
 $lang['hlp_line2'] .= "Sélectionnez dans cette catégorie, une ou plusieurs photos d'un même lieu." ;
 $lang['hlp_line3'] .= "Affiche les coordonnées de la première photo si elle est connue. "  ;
-$lang['hlp_line4'] .= "Annule la sélection.";  
+ 
 $lang['hlp_line5'] .= "Entrez le lieu à rechercher (ville,pays)"  ; 
 
Index: /extensions/edit_gmaps/main.inc.php
===================================================================
--- /extensions/edit_gmaps/main.inc.php	(revision 17760)
+++ /extensions/edit_gmaps/main.inc.php	(revision 17761)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: Edit Maps&Earth
-Version: auto
+Version: 2.2.4
 Description:  Editor for rv gmaps 
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=330
@@ -13,4 +13,5 @@
 define(  'EDIT_CL_PATH',   PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/' );
 	include_once(EDIT_CL_PATH.'edit_gmaps.inc.php');
+  global $cl_edit_functions;
 
 $cl_edit_functions = new cl_edit_functions();