Index: /trunk/language/it_IT/help/cat_modify.html
===================================================================
--- /trunk/language/it_IT/help/cat_modify.html	(revision 17772)
+++ /trunk/language/it_IT/help/cat_modify.html	(revision 17773)
@@ -23,7 +23,7 @@
 
   <li><strong>Tipo di accesso</strong>: Gestione dei permessi. Se rendete
-un album privato, tutti gli album figli diventono privati. Se
-rendete un album pubblico, tutti gli album genitori diventono
-pubblichi.</li>
+un album privato, tutti gli album figli diventano privati. Se
+rendete un album pubblico, tutti gli album genitori diventano
+pubblici.</li>
 
   <li><strong>Blocco</strong>: Gli album e i sub-album verranno disattivati temporaneamente per manutenzione.</li>
@@ -39,5 +39,5 @@
 class="pwgScreen">Pubblico/Privato</span>, <span
 class="pwgScreen">Rappresentativa</span> disponibile in <span
-class="pwgScreen">Amministrazione &raquo; Album &raquo; Proprietà</span>).</p>
+class="pwgScreen">Amministrazione » Album » Proprietà</span>).</p>
 
 <h3>Ordine di apparizione</h3>
@@ -82,5 +82,5 @@
 questa pagina.</li>
 
-  <li><span class="pwgScreen">Amministrazione &raquo; Album &raquo; Proprietà &raquo; 
+  <li><span class="pwgScreen">Amministrazione » Album » Proprietà » 
 Copertina</span>. Per i dettagli, vedi l'aiuto per questa pagina.</li>
 
@@ -106,5 +106,5 @@
 copertina</strong>.</p>
 
-<p>Se l'album non contiene nessuna foto (ma solo dei sub-album) può comunque essere rappresentata da un qualsiasi
+<p>Se l'album non contiene nessuna foto (ma solo dei sub-album) può comunque essere rappresentato da una qualsiasi
 foto. Utilizzare la pagina <span class="pwgScreen">Modicare le informazioni
 di una foto</span>. L'unica opzione disponibile di questa pagina è il pulsante
@@ -115,5 +115,5 @@
 <ul>
 
-<li><strong>Nome del album virtuale</strong>: Nome del nuovo album da creare,
+<li><strong>Nome dell'album virtuale</strong>: Nome del nuovo album da creare,
 tutte le foto dell'attuale album verranno associate al nuovo album.</li>
 
Index: /trunk/language/it_IT/help/notification_by_mail.html
===================================================================
--- /trunk/language/it_IT/help/notification_by_mail.html	(revision 17772)
+++ /trunk/language/it_IT/help/notification_by_mail.html	(revision 17773)
@@ -3,5 +3,5 @@
 <p>Questa pagina consente di configurare e gestire le notifiche via Email sui cambiamenti e le novità del vostro sito.</p>
 
-<p>Questa pagina è composta di 3 schede:</p>
+<p>Questa pagina è composta da 3 schede:</p>
 
 <h3>Parametri</h3>
Index: /trunk/language/it_IT/help/photos_add_ftp.html
===================================================================
--- /trunk/language/it_IT/help/photos_add_ftp.html	(revision 17772)
+++ /trunk/language/it_IT/help/photos_add_ftp.html	(revision 17773)
@@ -7,5 +7,5 @@
   <li>Copiate qualche foto in questa directory. <em>Attenzione</em>: il nome delle directory e dei files deve essere solamente formato da lettere, cifre e/o i simboli "-", "_" o ".". Non utilizzare spazi o caratteri accentati.</li>
 
-  <li>Con un client FTP (tipo FIlezilla), caricate la directory in cui avete messo le foto, nella directory "galleries" della vostra galleria Piwigo.</li>
+  <li>Con un client FTP (tipo Filezilla), caricate la directory in cui avete messo le foto, nella directory "galleries" della vostra galleria Piwigo.</li>
 
   <li>Connettetevi alla vostra galleria Piwigo e andate in <span class="pwgScreen">Amministrazione</span> e cliccate sul pulsante Sincronizzazione</li>
Index: /trunk/language/it_IT/help/synchronize.html
===================================================================
--- /trunk/language/it_IT/help/synchronize.html	(revision 17772)
+++ /trunk/language/it_IT/help/synchronize.html	(revision 17773)
@@ -3,5 +3,5 @@
 <ul>
 
-  <li>Ci sono 2 typi di sincronizzazione possibili : struttura (directory/file) e
+  <li>Ci sono 2 tipi di sincronizzazione possibili : struttura (directory/file) e
 metadati. Sincronizzare la struttura significa sincronizzare l'albero
 delle directory e dei file con il
@@ -14,5 +14,5 @@
 
   <li>Il processo di sincronizzazione potrebbe essere più o meno lungo (dipende
-della carica del server e della quantità di file da gestire). È possibile eseguire
+dal carico del server e della quantità di file da gestire). È possibile eseguire
 la sincronizzazione album per album.</li>
 
Index: /trunk/language/it_IT/help/user_list.html
===================================================================
--- /trunk/language/it_IT/help/user_list.html	(revision 17772)
+++ /trunk/language/it_IT/help/user_list.html	(revision 17773)
@@ -21,6 +21,6 @@
   <li>modificare lo stato</li>
   <li>associare o dissociare ai gruppi</li>
-  <li>modificare le propietà di visualizzazione</li>
-  <li>modificare le propietà annesse</li>
+  <li>modificare le proprietà di visualizzazione</li>
+  <li>modificare le proprietà annesse</li>
 </ul>
 