Index: /extensions/edit_gmaps/admin/admin.php
===================================================================
--- /extensions/edit_gmaps/admin/admin.php	(revision 17775)
+++ /extensions/edit_gmaps/admin/admin.php	(revision 17776)
@@ -10,15 +10,23 @@
   $page['tab'] = $_GET['tab'];
 
+   $page['tab'] = 'edit';
 $my_base_url = get_admin_plugin_menu_link(__FILE__);
 
-$tabsheet = new tabsheet();
-$tabsheet->add( 'edit', 'edit', add_url_params( $my_base_url, array('tab'=>'edit') ) );
-$tabsheet->select($page['tab']);
-$tabsheet->assign();
-$my_base_url = $tabsheet->sheets[ $page['tab'] ]['url'];
-$ntpl=dirname(__FILE__).'\\admin_'.$page['tab'].'.tpl' ;
-$template->set_filename( 'tab_data', $ntpl ); 
+$template->set_filenames(
+      array('batch_manager_global' => 'batch_manager_global.tpl',        
+            'tab_data'=> dirname(__FILE__).'\\admin_'.$page['tab'].'.tpl'
+            ));
+
+          
+
 include_once( dirname(__FILE__).'/admin_'.$page['tab'].'.php'); 
+$template->assign_var_from_handle( 'BATCH_MANAGER_GLOBAL', 'batch_manager_global');
 $template->assign_var_from_handle( 'TAB_DATA', 'tab_data');
+$current  =  $template->get_template_vars('BATCH_MANAGER_GLOBAL');  
+    $template->concat('TAB_DATA', $current);  
+
+
+
+
 $template->assign_var_from_handle( 'ADMIN_CONTENT', 'plugin_admin_content');
 ?>
Index: /extensions/edit_gmaps/admin/admin_edit.php
===================================================================
--- /extensions/edit_gmaps/admin/admin_edit.php	(revision 17775)
+++ /extensions/edit_gmaps/admin/admin_edit.php	(revision 17776)
@@ -48,9 +48,13 @@
 if (!isset($page['title'])) $page['title']="";
 if(!isset($_POST['selectAction'])) $_POST['selectAction']="" ;
-
 //$info_message .= cl_edit_functions::Memo_Vars($_POST);
+//========== Mode GLOBAL ================================
 check_input_parameter('selection', $_POST, true, PATTERN_ID);
-
 include (PHPWG_ROOT_PATH.'admin/batch_manager.php'); 
+    $tabsheet = new tabsheet();
+    $tabsheet->assign(); 
+  
+
+
 
 if(isset($page['cat_elements_id'])) 
@@ -58,11 +62,6 @@
 
  
-    $tabsheet = new tabsheet();
-    $tabsheet->assign(); 
-     
- // $current  =  $template->get_template_vars('TAB_DATA'); 
-// prefilters,tags
-
-//  $erreur_message .= cl_edit_functions::Memo_Vars( $current);
+ if(isset($_POST)){
+//  $info_message .= cl_edit_functions::Memo_Vars($_POST);
 
 //===============================================================
@@ -104,7 +103,8 @@
  
 if (count($collection)>0 )
-//=============================================================
   if (isset($_POST['update']) && $_POST['update']==l10n('update_exif')){
-  /************* Mise à jour des meta données ***************/
+    /******************************* 
+    *  Mise à jour des meta données 
+    *******************************/
     // error_reporting ( 0 );
     // Hide any unknown EXIF tags   
@@ -138,9 +138,4 @@
             if (array_search($id_0,$image)) {   
               //=================================================================
-              // Donnée base de donnée
-              //=================================================================
-         //     $info_message .= "<div style='border:2px solid red'>$id_0 Image:" . cl_edit_functions::Memo_vars($image)."</div>" ;
-                
-              //=================================================================
               // Meta donnée
               //=================================================================
@@ -169,8 +164,7 @@
  
            if(  cl_edit_controler::add_meta_gps($new_ps_file_info_array,$image)){
-              
-                $exif = @read_exif_data( $image['path']);
-                 $infos_gps  = cl_edit_controler::Get_exif_gps( $image['path'],$image,false) ;
-                $info_message .= $image['path'] . " : " . $image['file'] . " : ok<BR />";
+                  $exif = @read_exif_data( $image['path']);
+                  $infos_gps  = cl_edit_controler::Get_exif_gps( $image['path'],$image,false) ;
+                  $info_message .=l10n('update_exif') . ": " .  $image['path'] . " : " . $image['file'] . " : ok<BR />";
                 }else{
 
@@ -186,6 +180,8 @@
 //======================================================================
 if ( isset($_POST['submit'])  ) {
-  /******** Mise à jour base de données *****/
    if (   $_POST['submit'] == l10n('update_database') ){
+  /**************************************************
+   * Uniquement Mise à jour de la base de données 
+   **************************************************/
     if ( count($collection)>0 ){
         $lat = trim($_POST['lat']);
@@ -195,5 +191,5 @@
        if($lat !="") cl_edit_controler::add_data_base($collection,$lat,$lon,$alt) ;
         $_POST['submit'] = l10n('selectAction') ;
-            foreach ($collection as $id_0){
+        foreach ($collection as $id_0){
           foreach ($images as $image) {  
             if (array_search($id_0,$image)) {  
@@ -207,5 +203,4 @@
     }
  }
-
 /****************************************/
 $query = '
@@ -245,9 +240,9 @@
     $infos_gps  = array();
     $infos_gps  =  cl_edit_controler::Get_exif_gps( $image['path'],$image,false) ;
-    $v_exif=$infos_gps['is_exif']?"EXIF":"" ;   
+    $v_exif=$infos_gps['is_exif']?"EXIF":"NO" ;   
     $v_db=false  ; 
     $v_db=$image['lat']!=0 && $image['lon']!=0;
-    $v_db=$v_db?"BD":"";
-
+    $v_db=$v_db?"BD":"NO";
+    //==== GPS infos -> image infos ====
     if(  $infos_gps['lat'] !=0  || $infos_gps['lon'] !=0 ) {      
       $new= ( !isset($image['lat'])? true: $image['lat']!=$infos_gps['lat'] ) ;
@@ -256,5 +251,8 @@
       $image['alt']=$infos_gps['alt'];
       $sel_img= array($image['id']);
-      if ($new) cl_edit_controler::add_data_base( $sel_img,$image['lat'],$image['lon'],$image['alt']) ;             
+      if ($new){ 
+
+              cl_edit_controler::add_data_base( $sel_img,$image['lat'],$image['lon'],$image['alt']) ; 
+      }            
    }         
   //================================================= 
@@ -273,23 +271,24 @@
      }
   //================================================= 
-   $tpl_var =  array_merge(
-                   $current[$j],     array(
-                  'ID' =>$image['id'], 
+  
+ $TN_SRC= $current[$j]['TN_SRC'];
+ $TITLE=$current[$j]['TITLE'] ;
+ 
+   $tpl_var = array(
+                  'ID' =>$image['id'],
+                  'TN_SRC' => $TN_SRC,
+                  'FILE' => $current[$j]['FILE'],
+                   'TITLE' => $TITLE,
+                  'LEVEL' =>  $current[$j]['LEVEL'],
+                  'FILE_SRC' => $current[$j]['FILE_SRC'],
+                  'U_EDIT' => $current[$j]['U_EDIT'],
                   'lat'  =>    $image['lat']    ,
                   'lon' =>     $image['lon']    ,
-                  'alt' =>     $image['alt']    ,               
-                  'TN_SRC' => get_thumbnail_url($image),
-                  'TITLE' => get_thumbnail_title($image,$name,$desc),
-                  'U_EXIF' => $v_exif,
-                  'U_BD' =>  $v_db ,
-                  'U_MAP' => cl_make_map_picture_url(
-                                                array(
-                                                      'image_id'=>$image['id'],
-                                                      'image_file'=>$image['file'],
-                                                      )
-                                                    )
-                        )
-                  );
-           
+                  'alt' =>     $image['alt']    ,   
+                  'U_EXIF' => $v_exif ,
+                  'U_BD' =>  $v_db  
+                   );
+             
+     
       $thumbnails[]=$tpl_var;  
       $j++;
@@ -339,4 +338,7 @@
 
   if (isset($collection)) {
+  /*********************************
+  * Affichage de la selection
+  *********************************/
     $init_info =true;
     $first_image=""; 
@@ -454,4 +456,15 @@
 
   //=======================================================================
+
+$v1=0;
+
+
+}
+
+if ($info_message!="")
+$template->assign('infos',$info_message);
+if ($erreur_message!="")
+$template->assign('errors',$erreur_message);
+
 function cl_make_map_picture_url($params)
 {
@@ -462,14 +475,3 @@
     return add_url_params($map_url, array('map'=>null) );
 }
-$v1=0;
-
-
-
-
-if ($info_message!="")
-$template->assign('infos',$info_message);
-if ($erreur_message!="")
-$template->assign('errors',$erreur_message);
-
-
 ?>
Index: /extensions/edit_gmaps/admin/admin_edit.tpl
===================================================================
--- /extensions/edit_gmaps/admin/admin_edit.tpl	(revision 17775)
+++ /extensions/edit_gmaps/admin/admin_edit.tpl	(revision 17776)
@@ -40,11 +40,14 @@
  border:outset;
 }
+.thumbLegend { color:grey;
+
+}
+.thumbLegend:hover { color:white ;
+
+}
 {/literal}
 </style>
 {/html_head} 
  {$file_name}  
- <fieldset  id="Elements"  class="fieldset" >
-{include file= $GLOBAL_TPL}
-</fieldset>
  <script type="text/javascript"> 
    {if empty($Selectthumbnails)  }    
@@ -54,19 +57,24 @@
    {/if} 
     </script>
-{footer_script}{literal}
+{footer_script}
+
+var  infos_img = infos_img || [];
+    	{foreach from=$thumbnails item=thumbnail}
+  infos_img[{$thumbnail.ID}]={ldelim}EXIF:"{$thumbnail.U_EXIF}",
+                              BD:"{$thumbnail.U_BD}",
+                              lon:"{$thumbnail.lon}",
+                              lat:"{$thumbnail.lat}",
+                              alt:"{$thumbnail.alt}"
+                              };
+             
+      {/foreach}
+
+
+{literal}
  
-jQuery(document).ready(function() {
-   
-
-
+jQuery(document).ready(function() {  
     {/literal}
-    val0="{'reset'|@translate}";
-        jQuery('input[value='+val0+']').click(function (i) {ldelim}
-    jQuery("#selectNone").click();
-  });
-
    title="{'selection'|@translate}|{'hlp_line3'|@translate}.";   
    value="{'selection'|@translate}" ;
-
    message='<p><input class="cluetip submit" type="submit" name="submit"   title="'+ title +'" value="'+ value +'"  /> ';
 
@@ -76,8 +84,9 @@
 
 });
+
 {/footer_script}
-<form action="" method="post" id="Envoie" name="Envoie"   >
-
-<fieldset   id ="geoposition"  class="fieldset" >
+<form action="" method="post" id="Envoie" name="Envoie" >
+
+<fieldset   id ="geoposition"  class="fieldset" style="display:none"  >
 <legend>{'Selection'|@translate}</legend>  
     <fieldset>    
Index: /extensions/edit_gmaps/admin/header.tpl
===================================================================
--- /extensions/edit_gmaps/admin/header.tpl	(revision 17775)
+++ /extensions/edit_gmaps/admin/header.tpl	(revision 17776)
@@ -2,3 +2,2 @@
 {combine_script id="jquery.cluetip" path = $ROOT_URL|@cat:"themes/default/js/plugins/jquery.cluetip.js" require="jquery" } 
 {combine_script id="EDIT_RV_script" load="footer" path=$EDIT_CL_PATH|@cat:"admin/js/JScript.js" require="jquery"}
-{combine_script id="fieldset" load="footer" path=$EDIT_CL_PATH|@cat:"admin/js/fieldset.js" require="jquery"}
Index: /extensions/edit_gmaps/admin/js/JScript.js
===================================================================
--- /extensions/edit_gmaps/admin/js/JScript.js	(revision 17775)
+++ /extensions/edit_gmaps/admin/js/JScript.js	(revision 17776)
@@ -1,3 +1,10 @@
-﻿
+﻿if (typeof console=="undefined") {
+  console = function (i) {
+
+  }
+  console.log = function () {
+
+  }
+}
 if (!window.log) {
   window.log = function () {
@@ -18,42 +25,51 @@
 
 jQuery(document).ready(function () {
-  jQuery('input').click(function (i) {
-
-
-  });
-
-  jQuery("#selectNone").click(function (i) {
-    no_affiche = "false";
-    if (no_affiche != "true") {
-      ef_reduce("geoposition", { fast: true })
-     
+
+  jQuery("#geoposition").each(function (i) {
+    if (no_affiche == "false") {
+      jQuery(this).hide();
     } else {
-      ef_reduce("Elements", { fast: true })
-    }
-
-    jQuery("#selectNone").css("color", "blue");
-
-
-  });
-  jQuery("#selectNone1").click(function (i) {
-    no_affiche = "true";
-    jQuery("#selectNone").css("color", "red");
-    jQuery("#selectNone").click();
-
-  });
+      jQuery(this).show();
+    }
+  });
+
 
   jQuery(".thumbnails label").each(function (i) {
     var wrap2 = jQuery(this).children(".wrap2");
-    wrap2.append("<span class='thumbLegend'> </span>");
-  });
-  jQuery("filedset").each(function (i) {
-
-
-  });
-
-  jQuery(".thumbnails label").each(function (i) {
-    var wrap2 = jQuery(this).children(".wrap2");
-
-  });
+    win_id = jQuery(this).children("input").val();
+    if (win_id) {
+      winp = infos_img[win_id];
+      if (!winp) return;
+      message = "";
+      if (winp.EXIF && winp.EXIF != "NO") message = winp.EXIF.toString() + " ";
+      if (winp.BD && winp.BD != "NO") message += winp.BD.toString();
+
+      wrap2.append("<div><span class='thumbLegend'  id='" + win_id + "'>" + message + " </span></div>");
+    }
+  });
+
+  jQuery(".thumbLegend").mouseover(function (i) {
+    winp = infos_img[this.id];
+    if (!winp) return;
+    message = "";
+    if (winp.lat) message = winp.lat.toString() + " ";
+    if (winp.lon) message += winp.lon.toString();
+
+    jQuery(this).text(message);
+
+  });
+  jQuery(".thumbLegend").mouseout(function (i) {
+    winp = infos_img[this.id];
+    if (!winp) return;
+    message = "";
+    if (winp.EXIF && winp.EXIF != "NO") message = winp.EXIF.toString() + " ";
+    if (winp.BD && winp.BD != "NO") message += winp.BD.toString();
+
+    jQuery(this).text(message);
+
+  });
+
+
+
 });
 
Index: tensions/edit_gmaps/admin/js/fieldset.js
===================================================================
--- /extensions/edit_gmaps/admin/js/fieldset.js	(revision 17775)
+++ 	(revision )
@@ -1,182 +1,0 @@
-if (typeof ef_animate_fast == "undefined")
-  var ef_animate_fast = true;
-var no_affiche;
-
-// Smart Fieldsets initialization/ 
-if (typeof ef_plus_bullet_path == "undefined") {
-  var ef_plus_bullet_path = './plugins/edit_gmaps/admin/icon/plus.png';
-  var ef_minus_bullet_path = './plugins/edit_gmaps/admin/icon/minus.png';
-}
-
-if (typeof ef_separator == "undefined")
-  var ef_separator = '&nbsp;: ';
-
-function ef_reduce(fieldset_id, fast) {
- jQuery('#' + fieldset_id).hide();
-  return;
-  l_m = jQuery('#' + fieldset_id + ' legend');
-
-  if (ef_reduce.arguments.length < 2) fast = ef_animate_fast;
-  if (!l_m.is('.ef_command')) l_m.addClass('ef_command');
-  if (!jQuery('#' + fieldset_id).is(':hidden')) 
-    l_m.trigger('ef_reduce_private', fast.fast,this);
-  l_m.removeClass('ef_command');
-  l_m.hide();
-}
-
-function ef_maximize(fieldset_id, fast) {
-  l_r = jQuery('#' + fieldset_id + '_reduced_legend');
-  if (ef_maximize.arguments.length < 2) fast = ef_animate_fast;
-  if (!l_r.is('.ef_command')) l_r.addClass('ef_command');
-  if (jQuery('#' + fieldset_id).is(':hidden'))
-    l_r.trigger('ef_maximize_private', fast);
-  l_r.removeClass('ef_command');
-   
-}
-
-var l_m, l_r;
-function ef_init(fieldset_id, cache_id) {
-  jQuery(document).ready(function () {
-    
-    var f_m = jQuery('#' + fieldset_id);
-    l_m = jQuery('#' + fieldset_id + ' legend');
-    var l_txt = l_m.text();
-    var f_r = f_m;
-    l_r = l_m;
-
-    if (ef_minus_bullet_path != '') l_m.prepend(
-          '<img alt = "" title = ""' +
-          'src = "' + ef_minus_bullet_path + '"' + '>&nbsp;'
-        );
-    l_m.addClass('ef_legends');
-    l_m.addClass('ef_click_ok');
-
-
-    f_r = jQuery('#' + fieldset_id + " ").clone();
-    l_r = jQuery('#' + fieldset_id + " LEGEND").clone();
-    f_r.empty();
-    l_r.appendTo(f_r);
-
-    f_r.attr('id', fieldset_id + '_reduced');
-    f_r.insertAfter(f_m);
-    f_r.css({ display: 'none' });
-
-
-    l_r.attr('id', fieldset_id + '_reduced_legend');
-    l_r.addClass('ef_legends');
-    l_r.addClass('ef_click_ok');
-
-
-
-    l_r.css({
-      outlineColor: "invert",
-      opacity: 0
-    });
-
-    if (ef_plus_bullet_path == '')
-      l_r.append(
-          '<span style = "padding-left:' + l_m.css('padding-left') + ';">' +
-          l_txt + '</' + 'span>' + ef_separator
-         );
-    else {
-
-      lg = jQuery(l_r).find("img");
-      if (lg.length > 0)
-        lg.get(0).src = ef_plus_bullet_path;
-
-      l_r.append('&nbsp;' + ef_separator);
-    }
-
-    f_r.append('<span id="' + cache_id + '" > </span>');
-    jQuery('.ef_legends').css('cursor', 'pointer');
-
-    l_m.bind('ef_reduce_private', function (event, fast) { // Reduce
-
-      if (l_m.is('.ef_command, .ef_click_ok')) {
-        if (fast) {
-          f_m.hide();
-          f_r.show();
-          f_r.find('*').css({ opacity: 1 });
-        }
-        else {
-          f_m.find('*').not('.ef_legends, img').animate(
-                                 { opacity: 0 }, 200,
-                                function () {
-                                  f_m.slideUp(400);
-                                  f_r.slideDown(400, function () {
-                                    f_r.find('*').css({ opacity: 1 });
-                                  });
-                                }
-                            );
-        }
-      }
-    });
-
-    l_r.bind('ef_maximize_private', function (event, fast) { // Maximize
-      if (l_r.is('.ef_command, .ef_click_ok')) {
-        if (fast) {
-          f_r.hide();
-          f_m.show();
-        } else {
-          f_r.find('*').css({ opacity: 0 });
-          f_r.slideUp(400);
-          f_m.slideDown(400, function () {
-            f_m.find('*').not('.ef_legends, img').animate({ opacity: 1 }, 200);
-          });
-        }
-      }
-    });
-
-    l_m.click(function () { // Reduce
-      l_m.trigger('ef_reduce_private', ef_animate_fast);
-    });
-
-    l_r.click(function () { // Maximize
-      l_r.trigger('ef_maximize_private', ef_animate_fast);
-    });
-    if (no_affiche != "true") {
-      ef_reduce("geoposition", { fast: true })
-      // jQuery("#Envoie").trigger("submit");
-    } else {
-      ef_reduce("Elements", { fast: true })
-    }
-  });
-}
-
-
-jQuery(document).ready(function () {
-  if (jQuery(".fieldset").length >= 1)
-    jQuery(".fieldset").each(
-                function (i) {
-                  id0 = jQuery(this).attr("id");
-                  if (id0 == "") jQuery(this).attr("id", "Cadre_" + i);
-                  id0 = jQuery(this).attr("id");
-                  // Update of the '#cache' value when changing the selected value in the fieldset
-                  jQuery("#" + id0 + ' .inputs').click(function () {
-                    jQuery("#" + id0).text(jQuery("#" + id0 + ' .inputs:checked').next().text());
-                  });
-                });
-  // Some changes of the defaults, nothing to see with Smart Fieldsets
-  //   jQuery('input').attr('checked', 'true');
-  jQuery('code').css('font-size', 'larger');
-  jQuery('#ef_presentation label, #ef_presentation input').css('cursor', 'pointer');
-});
-
-
-
-jQuery(document).ready(function () {  
-
-  if (jQuery(".fieldset").length >= 1) {
-    jQuery(".fieldset").each(
-              function (i) {
-                id0 = jQuery(this).attr("id");
-                ef_init(id0, 'cache' + i);
-
-              })
-
-  }
-
-})
-
-             
-           
Index: /extensions/edit_gmaps/edit_gmaps.inc.php
===================================================================
--- /extensions/edit_gmaps/edit_gmaps.inc.php	(revision 17775)
+++ /extensions/edit_gmaps/edit_gmaps.inc.php	(revision 17776)
@@ -220,8 +220,8 @@
 return $datas[0] ;
 }
-//======================================================
-/*
- *
- */
+
+/************************************************
+ * add_data_base
+ ************************************************/
  static public function add_data_base($sel,$lat,$lon,$alt){
     global $page,$info_message,$erreur_message ;