Index: /extensions/edit_gmaps/admin/admin_edit.php
===================================================================
--- /extensions/edit_gmaps/admin/admin_edit.php	(revision 17778)
+++ /extensions/edit_gmaps/admin/admin_edit.php	(revision 17779)
@@ -104,7 +104,7 @@
 if (count($collection)>0 )
   if (isset($_POST['update']) && $_POST['update']==l10n('update_exif')){
-    /******************************* 
+    /*********************************** 
     *  Mise à jour des meta données 
-    *******************************/
+    ************************************/
     // error_reporting ( 0 );
     // Hide any unknown EXIF tags   
@@ -141,5 +141,17 @@
               //=================================================================
                 $infos_gps  = array();
-                $infos_gps  = cl_edit_controler::Get_exif_gps( $image['path'],$image,false) ;
+                $lat = trim($_POST['lat']);
+                $lon = trim($_POST['lon']);
+                $alt = '';
+      if(isset($_POST['alt']))
+                $alt = trim($_POST['alt']);
+
+                if($image['lat']=='' || $image['lon']==''){ 
+                    $image['lat']=$lat;
+                    $image['lon']=$lon;
+                    $image['alt']=$alt;
+                }     
+                $infos_gps  = cl_edit_controler::Get_exif_gps( $image['path'],$image,false,true) ; 
+
                 if($image['lat']=='' || $image['lon']==''){ 
                     $image['lat']=$infos_gps['lat'];
@@ -165,6 +177,6 @@
            if(  cl_edit_controler::add_meta_gps($new_ps_file_info_array,$image)){
                   $exif = @read_exif_data( $image['path']);
-                  $infos_gps  = cl_edit_controler::Get_exif_gps( $image['path'],$image,false) ;
-                  $info_message .=l10n('update_exif') . ": " .  $image['path'] . " : " . $image['file'] . " : ok<BR />";
+                  $infos_gps  = cl_edit_controler::Get_exif_gps( $image['path'],$image,false,true) ;
+                  $info_message .=l10n('update_exif') . " : " .  $image['path'] . " : " . $image['file'] . " : ok<BR />";
                 }else{
 
@@ -191,10 +203,11 @@
        if($lat !="") cl_edit_controler::add_data_base($collection,$lat,$lon,$alt) ;
         $_POST['submit'] = l10n('selectAction') ;
+        unset($_POST['submit']);
         foreach ($collection as $id_0){
           foreach ($images as $image) {  
             if (array_search($id_0,$image)) {  
-              $image['lat'] =    $lat ;
-              $image['lon']= $lon  ;
-              $image['alt'] =$alt  ;
+              $image['lat'] = $lat ;
+              $image['lon']=  $lon  ;
+              $image['alt'] = $alt  ;
            }
           }
@@ -234,10 +247,14 @@
 //========================================================================
   $v_exif="";
- $current = $template->get_template_vars('thumbnails');  
- $j=0;
- $thumbnails= array();
-foreach ($images as $image){  
+  $current = $template->get_template_vars('thumbnails');  
+  $j=0;
+  $thumbnails= array();
+/*************************************
+* AFFICHAGE MODE GLOBAL
+*************************************/
+  foreach ($images as $image){  
     $infos_gps  = array();
-    $infos_gps  =  cl_edit_controler::Get_exif_gps( $image['path'],$image,false) ;
+    $infos_gps  =  cl_edit_controler::Get_exif_gps( $image['path'],$image,false,false) ;
+    
     $v_exif=$infos_gps['is_exif']?"EXIF":"NO" ;   
     $v_db=false  ; 
@@ -252,6 +269,5 @@
       $sel_img= array($image['id']);
       if ($new){ 
-
-              cl_edit_controler::add_data_base( $sel_img,$image['lat'],$image['lon'],$image['alt']) ; 
+           cl_edit_controler::add_data_base( $sel_img,$image['lat'],$image['lon'],$image['alt']) ; 
       }            
    }         
@@ -347,14 +363,21 @@
         foreach ($images as $image) {
             if (array_search($id_0,$image)) {    
-              $infos_gps  = array();   
-              if($image['lat']=='' || $image['lon']==''){    }
+
+              $infos_gps  = array();                
               $infos_gps  =array();
-              $infos_gps  =  cl_edit_controler::Get_exif_gps( $image['path'],$image,false) ;
-              if(isset($infos_gps['lat']) && $infos_gps['is_exif']){        
-                $image['lat']=$infos_gps['lat'];
-                $image['lon']=$infos_gps['lon'];
-                $image['alt']=$infos_gps['alt'];
-              }                    
-              if ( $init_info && $image['lat'] <> '' ) {
+              $infos_gps  =  cl_edit_controler::Get_exif_gps( $image['path'],$image,false,false) ;            
+               
+              if(isset($infos_gps['lat']) && $infos_gps['is_exif']){     
+              //======= test affichage BD ================
+                if($image['lat']=='' || $image['lon']==''){  
+                        $image['lat']=$infos_gps['lat'];
+                        $image['lon']=$infos_gps['lon'];
+                        $image['alt']=$infos_gps['alt'];             
+                }
+              }       
+              //==========================================
+                        
+              if ( $init_info && $image['lat'] <> '' ) {               
+
                 $init_info = false ;
                 $lat = ($image['lat'] <> '') ? $image['lat'] : '100'  ;
@@ -381,4 +404,5 @@
                     $v_db=false  ; 
                     $v_db=$lon!=0 && $lat!=0;
+
                     $tpl_var = array_merge(
                         $image,
@@ -424,5 +448,6 @@
      if (!empty($infos_gps))
          $Position = $infos_gps ;
-     else  $Position =  cl_edit_controler::Get_exif_gps($filename,$image,false) ;
+     else  
+         $Position =  cl_edit_controler::Get_exif_gps($filename,$image,false,true) ;
 
       $jpeg_header_data = get_jpeg_header_data($filename );
Index: /extensions/edit_gmaps/admin/admin_edit.tpl
===================================================================
--- /extensions/edit_gmaps/admin/admin_edit.tpl	(revision 17778)
+++ /extensions/edit_gmaps/admin/admin_edit.tpl	(revision 17779)
@@ -77,7 +77,14 @@
    title="{'selection'|@translate}|{'hlp_line3'|@translate}.";   
    value="{'selection'|@translate}" ;
-   message='<p><input class="cluetip submit" type="submit" name="submit"   title="'+ title +'" value="'+ value +'"  /> ';
+   message ='<p><input class="cluetip submit" type="submit" name="submit"   title="'+ title +'" value="'+ value +'"  /> ';
+
+
+
+   title="{'update_exif'|@translate}|{'hlp_line3'|@translate}.";   
+   value="{'update_exif'|@translate}" ;
+   message +='<input class="cluetip submit" type="submit" name="update"   title="'+ title +'" value="'+ value +'"  /> ';
 
    message+='</p>';
+
   jQuery("#permitAction").append(message);
       
Index: /extensions/edit_gmaps/edit_gmaps.inc.php
===================================================================
--- /extensions/edit_gmaps/edit_gmaps.inc.php	(revision 17778)
+++ /extensions/edit_gmaps/edit_gmaps.inc.php	(revision 17779)
@@ -75,4 +75,10 @@
   foreach( $new_ps_file_info_array['selection']  as $filename )   {
     //======================================================
+     if($new_ps_file_info_array['lat']=='') {  
+   
+     $new_ps_file_info_array['lat']=$image['lat'];
+     $new_ps_file_info_array['lon']=$image['lon'];
+     $new_ps_file_info_array['alt']=$image['alt'];
+     }
          if($new_ps_file_info_array['lat']=='') {    
             $erreur_message .= "Error - lon or lat = null : $filename <br>\n";
@@ -129,5 +135,5 @@
 }
 //==========================================================
-static public function Get_exif_gps($firt_image,$image,$hight_gps) {
+static public function Get_exif_gps($firt_image,$image,$hight_gps,$lecture_exif) {
   global $errors;global $template ;
     global $info_message ; 
@@ -148,8 +154,9 @@
  if(count($exif)==0) return ; 
 //====================================================================
+if(!$lecture_exif){
     $lat = $image['lat'] ;
     $lon = $image['lon'] ;
     $alt = $image['alt'];
-   
+ }  
         $p1=base_to_meta($image);
         
@@ -249,5 +256,5 @@
         pwg_query($update_query) ;
         cl_meta_invalidate_cache();
-        $info_message .=  l10n('update') . " " . implode(',',$sel)  . " ". IMAGES_TABLE . " : " .  l10n('OK') ."<br />";        
+        $info_message .=  l10n('update') . "[DB] " . implode(',',$sel)  . " ". IMAGES_TABLE . " : " .  l10n('OK') ."<br />";        
        }
   }
Index: /extensions/edit_gmaps/main.inc.php
===================================================================
--- /extensions/edit_gmaps/main.inc.php	(revision 17778)
+++ /extensions/edit_gmaps/main.inc.php	(revision 17779)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: Edit Maps&Earth
-Version: 2.2.4
+Version: 2.2.5
 Description:  Editor for rv gmaps 
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=330