Index: /extensions/lmt/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/lmt/language/it_IT/plugin.lang.php	(revision 17783)
+++ /extensions/lmt/language/it_IT/plugin.lang.php	(revision 17783)
@@ -0,0 +1,78 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['lmt_icon_text'] = 'Testo';
+$lang['lmt_image'] = 'Immagine';
+$lang['lmt_lbl_under-by-nc-nd'] = 'Pubblicato su licenza';
+$lang['lmt_lbl_under-by-nc-sa'] = 'Pubblicato su licenza';
+$lang['lmt_lbl_under-by-nd'] = 'Pubblicato su licenza';
+$lang['lmt_lbl_under-by-sa'] = 'Pubblicato su licenza';
+$lang['lmt_lbl_under-cc0'] = 'Pubblicato su licenza';
+$lang['lmt_lbl_under-cleft'] = 'Pubblicato su licenza';
+$lang['lmt_licence'] = 'Licenza';
+$lang['lmt_lst_apply_filter'] = 'Fitro';
+$lang['lmt_lst_nb_photos'] = 'foto';
+$lang['lmt_manageaut'] = 'Gestisci autori';
+$lang['lmt_modify'] = 'Modifica';
+$lang['lmt_name'] = 'Nome';
+$lang['lmt_nav_first'] = 'Primo';
+$lang['lmt_nav_last'] = 'Ultimo';
+$lang['lmt_nav_next'] = 'Prossimo';
+$lang['lmt_nav_prev'] = 'Precedente';
+$lang['lmt_ok'] = 'Ok';
+$lang['lmt_redirect_urls'] = 'Reindirizzamenti URL';
+$lang['lmt_save_config'] = 'Configurazione salvata';
+$lang['lmt_search'] = 'Ricerca';
+$lang['lmt_select_all'] = 'Tutti';
+$lang['lmt_select_invert'] = 'Inverti';
+$lang['lmt_select_none'] = 'Nessuno';
+$lang['lmt_six_licences'] = 'Le 6 licenze';
+$lang['lmt_yesno_n'] = 'No';
+$lang['lmt_yesno_y'] = 'Si';
+$lang['lmt_cfg_list_maxheight'] = 'Massima altezza degli elenchi';
+$lang['lmt_cfg_warning_link'] = 'Permetti redirect';
+$lang['lmt_cc-all'] = 'Tutte le licenze';
+$lang['lmt_cc_url'] = 'http://creativecommons.org/international/';
+$lang['lmt_cfg_licence_activated'] = 'Attiva la gestione licenze';
+$lang['lmt_cfg_licence_logo'] = 'Tipo di logo visualizzato';
+$lang['lmt_author_title'] = 'Elenco autori';
+$lang['lmt_cannot_add_author'] = 'Non è stato possibile aggiungere l\'autore';
+$lang['lmt_cannot_delete_author'] = 'Non è stato possibile eliminare l\'autore';
+$lang['lmt_cannot_modify_author'] = 'Non è stato possibile modificare l\'autore';
+$lang['lmt_category'] = 'Categoria';
+$lang['lmt_author_txt1'] = 'Testo 1';
+$lang['lmt_author_txt2'] = 'Testo 2';
+$lang['lmt_authoradd_title'] = 'Aggiungi autore';
+$lang['lmt_authormodify_title'] = 'Modifica autore';
+$lang['lmt_cancel'] = 'Elimina';
+$lang['To install this plugin, you need to install Grum Plugin Classes %s before'] = 'Per installare questo plugin, devi prima aver installato Grum Plugin Classes %s';
+$lang['example'] = 'Mostra campione';
+$lang['lmt_action'] = 'Azioni';
+$lang['lmt_add'] = 'Aggiungi';
+$lang['lmt_add_author'] = 'Aggiungi autore';
+$lang['lmt_apply'] = 'Applica';
+$lang['lmt_author'] = 'Autore';
+$lang['lmt_author_added'] = 'L\'autore è stato aggiunto';
+$lang['lmt_author_deleted'] = 'L\'autore è stato cancellato';
+$lang['lmt_author_modified'] = 'L\'autore è stato modificato';
+$lang['lmt_author_one_image_updated'] = 'E\' stata aggiornata una foto legata a questo autore';
+?>