Index: /extensions/ASearchEngine/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/ASearchEngine/language/it_IT/plugin.lang.php	(revision 17784)
+++ /extensions/ASearchEngine/language/it_IT/plugin.lang.php	(revision 17784)
@@ -0,0 +1,95 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['ase_search_into_filename'] = 'Nel nome del file della foto';
+$lang['ase_search_into_name'] = 'Nel nome della foto';
+$lang['ase_search_keyword'] = 'Cerca tramite parola chiave';
+$lang['ase_search_on_date'] = 'Cerca tramite data';
+$lang['ase_search_tags'] = 'Cerca tramite tags';
+$lang['ase_search_the_keyword'] = 'Cerca parola chiave';
+$lang['ase_search_with_whole_words'] = 'Solo su parole intere';
+$lang['ase_searching_in_subcat'] = 'Ricerca nelle sotto categorie';
+$lang['ase_tag_method_and'] = 'Tutti i tag selezionati devono essere presenti';
+$lang['ase_tag_method_and_text'] = 'Tutti i tag devono essere presenti:';
+$lang['ase_tag_method_or'] = 'Uno dei tag selezionati deve essere presente';
+$lang['ase_tag_method_or_text'] = 'Deve essere presente un tag:';
+$lang['ase_tag_start_to_type_text'] = 'Inizia a digitare...';
+$lang['ase_tag_x_tags_display'] = '%s tags visualizzati';
+$lang['ase_tag_x_tags_found'] = '%s tags trovati';
+$lang['ase_tags'] = 'Tags';
+$lang['ase_the_date'] = 'Data';
+$lang['ase_the_picture'] = 'Immagine';
+$lang['ase_the_rate'] = 'Voto';
+$lang['ase_whole_words_only'] = 'Solo parole intere';
+$lang['ase_with_search_in_subcat'] = 'con ricerca nelle sotto-categorie';
+$lang['ase_y'] = 'Si';
+$lang['ase_search_into'] = 'Cerca in';
+$lang['ase_search'] = 'Cerca';
+$lang['ase_optFileName'] = 'Nome file';
+$lang['ase_optName'] = 'Nome';
+$lang['ase_picture_desc'] = 'il commento della foto';
+$lang['ase_picture_filename'] = 'il nome del file della foto';
+$lang['ase_picture_name'] = 'il nome della foto';
+$lang['ase_is_greater_or_equal2'] = 'è maggiore o uguale à';
+$lang['ase_is_less_or_equal2'] = 'è minore o uguale a';
+$lang['ase_n'] = 'No';
+$lang['ase_ok'] = 'Ok';
+$lang['ase_optDesc'] = 'Commento';
+$lang['ase_error_period'] = 'Periodo non valido: la data inizio del periodo deve essere inferiore o uguale alla data di fine periodo';
+$lang['ase_error_rate_range'] = 'Intervallo non valido: il voto minimo deve essere inferiore o uguale al voto massimo';
+$lang['ase_image_availability'] = 'disponibilità nella galleria';
+$lang['ase_image_shot'] = 'scatto della foto';
+$lang['ase_is_between'] = 'è tra';
+$lang['ase_is_between2'] = 'è tra';
+$lang['ase_is_between_and'] = 'e';
+$lang['ase_is_between_and2'] = 'e';
+$lang['ase_is_equal_to'] = 'è uguale a';
+$lang['ase_is_greater_or_equal'] = 'è maggiore o uguale a';
+$lang['ase_config'] = 'Configurazione';
+$lang['ase_config_saved'] = 'La configurazione è stata salvata';
+$lang['ase_dateAvailable'] = 'Data disponibile';
+$lang['ase_dateCreation'] = 'Data scatto';
+$lang['ase_date_between'] = 'Tra';
+$lang['ase_date_to'] = 'e';
+$lang['ase_dont_have_rate'] = 'la foto non è votata';
+$lang['ase_error_date'] = 'Data non valida';
+$lang['ase_error_date_from'] = 'La data di inizio periodo non è valida';
+$lang['ase_error_date_to'] = 'La data di fine periodo non è valida';
+$lang['ase_error_key_word_min_length_must_be_integer_gt_0'] = 'Il numero minimo di caratteri deve essere un intero maggiore di 0';
+$lang['ase_error_keyword_length'] = 'La parola chiave da trovare è troppo corta!';
+$lang['ase_error_no_tag_selected'] = 'Deve essere selezionato almeno un tag';
+$lang['To install this plugin, you need to install Grum Plugin Classes %s before'] = 'Per poter installare questo plugin, devi prima installare Grum Plugin Classes %s ';
+$lang['ase_Dont_have_rate'] = 'La foto non è votata';
+$lang['ase_add_category'] = 'Aggiungi una o più categorie';
+$lang['ase_add_date'] = 'Aggiungi un periodo';
+$lang['ase_add_keyword'] = 'Aggiungi una parola chiave';
+$lang['ase_add_rate'] = 'Aggiungi un voto';
+$lang['ase_add_tag'] = 'Aggiungi uno o più tag';
+$lang['ase_apply'] = 'Applica';
+$lang['ase_average_rate'] = 'Voto medio';
+$lang['ase_cancel'] = 'Elimina';
+$lang['ase_categories'] = 'Categorie';
+$lang['ase_category'] = 'Categoria';
+$lang['ase_choose_categories'] = 'Cerca in una o più categorie';
+$lang['ase_choose_date'] = 'Cerca in un determinato periodo';
+$lang['ase_choose_rate'] = 'Cerca per voto';
+?>