Index: /extensions/GMaps/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/GMaps/language/it_IT/plugin.lang.php	(revision 17785)
+++ /extensions/GMaps/language/it_IT/plugin.lang.php	(revision 17786)
@@ -2,5 +2,5 @@
 
 $lang['To install this plugin, you need to install Grum Plugin Classes %s before']='Per installare questo plugin, è necessario prima installare il plugin Grum Plugin Classes %s';
-$lang['To install this plugin, you need to install Advanced Metadata %s before']='Per installare questo plugin, è prima necessario di installare, attivare e configurare il plugin Advanced Metadata %s';
+$lang['To install this plugin, you need to install Advanced Metadata %s before'] = 'Per installare questo plugin, è prima necessario installare, attivare e configurare il plugin Advanced Metadata %s';
 $lang['gmaps_amd_warning_inactive']='Attenzione! <br><br>Il plugin Advanced Metadata %s sembra non essere installato/attivato : le mappe non potranno essere visualizzate fino a quando non sara attivato.';
 $lang['gmaps_amd_warning_basic']='Attenzione! <br><br>Il plugin Advanced Metadata funziona in modalità \'di base\' : mappe associate alle categorie non potranno essere visualizzate.';
@@ -11,5 +11,5 @@
 $lang['gmaps_geolocation'] = 'Geotagging';
 $lang['gmaps_maps']='Mappe';
-$lang['gmaps_map']='mappa';
+$lang['gmaps_map'] = 'Mappa';
 $lang['gmaps_associate_category_maps'] ='Associazione delle mappe';
 $lang['gmaps_search'] ='Cerca';
@@ -28,8 +28,8 @@
 $lang['gmaps_config_map']='Parametraggio mappa';
 $lang['gmaps_pleaseConfirmMetadataDelete_1']='La mappe e tutto ciò che vi è associato verranno cancellati.';
-$lang['gmaps_pleaseConfirmMetadataDelete_2']='Confermare';
-$lang['gmaps_pleaseConfirmKml_1']='Il file KML/KMZ verra cancellato e tutti i riferimenti associati verranno reinizializzati';
-$lang['gmaps_pleaseConfirmKml_2']='Confermare';
-$lang['gmaps_pleaseConfirmKml']='Confermare';
+$lang['gmaps_pleaseConfirmMetadataDelete_2'] = 'Confermare la cancellazione';
+$lang['gmaps_pleaseConfirmKml_1'] = 'Il file KML/KMZ verra cancellato e tutti i riferimenti associati verranno reinizializzati.';
+$lang['gmaps_pleaseConfirmKml_2'] = 'Confermare la cancellazione';
+$lang['gmaps_pleaseConfirmKml'] = 'Confermare la cancellazione';
 $lang['gmaps_deleteMap']='Rimozione della mappa';
 $lang['gmaps_add_a_new_map']='Aggiungere una mappa';
@@ -38,5 +38,5 @@
 
 $lang['gmaps_name']='Nome';
-$lang['gmaps_dimensions']='Dimenzioni';
+$lang['gmaps_dimensions'] = 'Dimensioni';
 $lang['gmaps_zoomLevel']='Livello di zoom';
 $lang['gmaps_mapType']='Tipo di visualizzazione';
@@ -55,5 +55,5 @@
 $lang['gmaps_map_dimensions_are']='Le dimensioni della mappo sono :';
 $lang['gmaps_interface_dimensions_f']='Fisse';
-$lang['gmaps_interface_dimensions_a']='In proporzione alle dimensioni della finestra';
+$lang['gmaps_interface_dimensions_a'] = 'Dimensiona alla finestra';
 
 
@@ -75,6 +75,6 @@
 
 $lang['gmaps_googleMapScaleControl']='Scala della mappa';
-$lang['gmaps_display_hidden']='Nascondere';
-$lang['gmaps_display_visible']='Visualizzarze';
+$lang['gmaps_display_hidden'] = 'Nascosto';
+$lang['gmaps_display_visible'] = 'Visibile';
 
 
@@ -89,5 +89,5 @@
 $lang['gmaps_1_picture']='1 foto';
 $lang['gmaps_0_picture']='Nessuna foto in questa area geografica';
-$lang['gmaps_apply_subcat']='Applicare alle sotto-categorie';
+$lang['gmaps_apply_subcat'] = 'Applica alle sotto-categorie';
 $lang['gmaps_map_id']='Mappa';
 $lang['gmaps_map_kmlfile']='Presenza file KML/KMZ';
@@ -99,5 +99,5 @@
 
 $lang['gmaps_manage_assoc']='Gestione di un\'associazione';
-$lang['gmaps_deleteAssoc']='Cancellazione di un\'associazione';
+$lang['gmaps_deleteAssoc'] = 'Cancellare un\'associazione';
 
 
@@ -110,5 +110,5 @@
 
 $lang['gmaps_i_boundmap']='Adattare le dimensioni della mappa per visualizzare tutti gli oggetti';
-$lang['gmaps_i_boundkml']='Adattare le dimensioni della mappa per visualizzare l\intero percorso';
+$lang['gmaps_i_boundkml'] = 'Adattare le dimensioni della mappa per visualizzare l\'intero percorso';
 $lang['gmaps_i_centermap']='Centrare la mappa';
 $lang['gmaps_i_show_this_picture_in']='Visualizzare questa immagine nella categoria : ';
@@ -119,5 +119,5 @@
 $lang['gmaps_west']='Ovest';
 $lang['gmaps_add_geographic_area']='Aggiungere una zona geografica';
-$lang['gmaps_choose_geographic_area']='Selezionare l\'area geografica';
+$lang['gmaps_choose_geographic_area'] = 'Seleziona l\'area geografica';
 $lang['gmaps_search_by_geographic_area']='Effettuare una ricerca per area geografica';
 $lang['gmaps_geographic_coords_between']='Le coordinate geografiche si trovano tra :';
@@ -131,5 +131,5 @@
 $lang['gmaps_file']='File';
 $lang['gmaps_date']='Data';
-$lang['gmaps_file_size']='Dimenzioni File';
+$lang['gmaps_file_size'] = 'Dimensione file';
 $lang['gmaps_nb_assoc']='Assegnazioni';
 $lang['gmaps_file_required']='E\' necessario scegliere un file!';
@@ -145,6 +145,6 @@
 $lang['gmaps_kml_file_none']='Nessuno';
 
-$lang['gmaps_kml_file_access']='I file KML/KMZ devono, per potere essere visualizzati su una mappa, essere accessibile attraverso i server di Google.';
-$lang['gmaps_icon_info']='Se il tema fornisce una icona delle stessi dimensioni di quello selezionato, sarà applicato per primo.';
+$lang['gmaps_kml_file_access'] = 'Per potere essere visualizzati su una mappa, i file KML/KMZ devono essere accessibili attraverso i server di Google.';
+$lang['gmaps_icon_info'] = 'Se il tema possiede già una icona delle stesse dimensioni di quella selezionata, sarà applicato per primo.';
 
 $lang['gmaps_map_marker']='Aspetto del contrassegno';
@@ -155,9 +155,9 @@
 $lang['gmaps_of_window_size']='della dimensione della finestra';
 $lang['gmaps_config']='Configurazione';
-$lang['gmaps_popup_automatic_size']='Mappe a dimenzionamento automaticho';
-$lang['gmaps_apply']='Applicare';
+$lang['gmaps_popup_automatic_size'] = 'Mappe a dimensionamento automatico';
+$lang['gmaps_apply'] = 'Applica';
 $lang['gmaps_config_saved']='La configurazione è salvata';
 $lang['gmaps_zoomLevel_max']='Massimo livello di zoom';
-$lang['gmaps_apply_zoomLevel_max']='Applicare livello di zoom massimo';
+$lang['gmaps_apply_zoomLevel_max'] = 'Applica livello di zoom massimo';
 $lang['gmaps_display_type_cannot_be_changed']='Essendo associata, il metodo di visualizzazione di questa mappa non può essere cambiato';
 $lang['gmaps_gpc_not_up_to_date']='Il plugin <i>Grum Plugin Classes</i> versione %s deve essere installato.