Index: /extensions/FacebookPlug/Plugin/language/it_IT/about.lang.php
===================================================================
--- /extensions/FacebookPlug/Plugin/language/it_IT/about.lang.php	(revision 17786)
+++ /extensions/FacebookPlug/Plugin/language/it_IT/about.lang.php	(revision 17787)
@@ -25,5 +25,5 @@
 
 // Italian
-$lang['Visit Piwigo on Facebook website:'] = 'Visitare Piwigo sul sito Facebook:';
+$lang['Visit Piwigo on Facebook website:'] = 'Visita Piwigo su Facebook:';
 $lang['Piwigo group'] = 'Gruppo Piwigo';
 $lang['Piwigo application'] = 'Applicazione Piwigo';
Index: /extensions/FacebookPlug/Plugin/language/it_IT/admin.lang.php
===================================================================
--- /extensions/FacebookPlug/Plugin/language/it_IT/admin.lang.php	(revision 17786)
+++ /extensions/FacebookPlug/Plugin/language/it_IT/admin.lang.php	(revision 17787)
@@ -37,5 +37,5 @@
 $lang['Advanced'] = 'Avanzato';
 $lang['Asynchronous Facebook access'] = 'Accesso asincrono a Facebook';
-$lang['Like button'] = 'tasto "mi piace"';
+$lang['Like button'] = 'Tasto "mi piace"';
 $lang['Enabled'] = 'Attivato';
 $lang['Picture URL type'] = 'Tipo di URL per le foto';
@@ -51,5 +51,5 @@
 $lang['Data updated with error'] = 'Dati aggiornati con errori';
 $lang['Facepile'] = 'Facepile';
-$lang['on slideshow pages'] = 'sulla diaposiriva';
+$lang['on slideshow pages'] = 'sulla diapositiva';
 $lang['Num rows'] = 'Numero di linee';
 $lang['Comments'] = 'Commenti';
@@ -63,5 +63,5 @@
 $lang['On menu of main pages'] = 'Nei menu delle pagine principali';
 $lang['Options'] = 'Opzioni';
-$lang['Like button and comments cannot be enabled together'] = 'Il tasto "Mi piace", e i commenti possono essere attivati contemporaneamente';
+$lang['Like button and comments cannot be enabled together'] = 'Il tasto "Mi piace" e i commenti non possono essere attivati contemporaneamente';
 $lang['enabled values are restored'] = 'i valori d\'attivazione sono stati restaurati';
 $lang['Informations'] = 'Informazioni';
@@ -70,5 +70,5 @@
 $lang[' (?)'] = ' (?)';
 $lang['Useful for personal templates, plugins. A event if also defined for plugins.'] = 'Utile per i template (modelli) personali, plugin. Un evento è stato inoltre definito per i plugin.';
-$lang['Allow Facebook to see private page'] = 'Permettere Facebook di vedere le pagine private (consigliato)';
+$lang['Allow Facebook to see private page'] = 'Permettere a Facebook di vedere le pagine private (consigliato)';
 $lang['Recommended in order to Facebook get title, ... of your pages for wall display'] = 'Consigliato per permettere a Facebook di ottenere il titolo, ..., delle vostre pagine per visualizzarle sulla bacheca.';
 $lang['To fill only if you want to use a specific Facebook application. It\'s recommended to leave blank.'] = 'Da compilare solo se si desidera utilizzare un\'applicazione specifica Facebook. Si raccomanda di lasciare il campo vuoto.';
@@ -78,5 +78,5 @@
 $lang['Add a paragraph with Facebook link on about page'] = 'Aggiunta di un paragrafo con i link Facebook alla pagina "About"';
 $lang['Add Facebook Piwigo group on footer'] = 'Aggiunta del gruppo Piwigo di Facebook nel piè di pagina';
-$lang['Add a link on each page footer'] = 'Ajout d\'un lien sur chaque bas de page';
+$lang['Add a link on each page footer'] = 'Aggiunge un link ad ogni piè pagina';
 $lang['Add Facebook Piwigo application on footer'] = 'Aggiunta dell\'applicazione Piwigo di Facebook nel piè di pagina';
 $lang['Develop by'] = 'Sviluppato da';
@@ -91,8 +91,8 @@
 $lang['Share album page'] = 'Condividere la pagina "album"';
 $lang['Add a icon link on each album page to share on Facebook'] = 'Aggiunge un\'icona con un link al fine di condividere ogni pagina "album" su Facebook';
-$lang['Buttons'] = 'Pulzante';
+$lang['Buttons'] = 'Pulsanti';
 $lang['Upload'] = 'Scaricare';
 $lang['Upload picture'] = 'Scaricare una foto';
-$lang['Add a icon link on each picture page to upload image on Facebook'] = 'Aggiunge un\'icona con un link al fine di scaricare ogni foto sur Facebook';
+$lang['Add a icon link on each picture page to upload image on Facebook'] = 'Aggiunge un\'icona con un link al fine di scaricare ogni foto su Facebook';
 
 ?>
Index: /extensions/FacebookPlug/Plugin/language/it_IT/common.lang.php
===================================================================
--- /extensions/FacebookPlug/Plugin/language/it_IT/common.lang.php	(revision 17786)
+++ /extensions/FacebookPlug/Plugin/language/it_IT/common.lang.php	(revision 17787)
@@ -27,6 +27,6 @@
 $lang['Join Facebook Piwigo group'] = 'Entra nel gruppo Piwigo su Facebook';
 $lang['Via Facebook Piwigo application'] = 'Via l\'applicazione Piwigo su Facebook';
-$lang['Share on Facebook'] = 'Condividere su Facebook';
-$lang['Upload photo on Facebook'] = 'Scaricare la foto su Facebook';
+$lang['Share on Facebook'] = 'Condividi su Facebook';
+$lang['Upload photo on Facebook'] = 'Carica la foto su Facebook';
 
 ?>