Index: /extensions/lmt/language/tr_TR/index.php
===================================================================
--- /extensions/lmt/language/tr_TR/index.php	(revision 17802)
+++ /extensions/lmt/language/tr_TR/index.php	(revision 17802)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/lmt/language/tr_TR/plugin.lang.php
===================================================================
--- /extensions/lmt/language/tr_TR/plugin.lang.php	(revision 17802)
+++ /extensions/lmt/language/tr_TR/plugin.lang.php	(revision 17802)
@@ -0,0 +1,58 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['lmt_lst_nb_photos'] = 'fotoğraflar';
+$lang['lmt_manageaut'] = 'Yazarları yönet';
+$lang['lmt_modify'] = 'Düzenle';
+$lang['lmt_name'] = 'İsim';
+$lang['lmt_nav_first'] = 'Birinci';
+$lang['lmt_nav_last'] = 'Sonuncu';
+$lang['lmt_nav_next'] = 'Sonraki';
+$lang['lmt_nav_prev'] = 'Önceki';
+$lang['lmt_nofilter'] = 'Tüm lisanslar';
+$lang['lmt_author_title'] = 'Yazarlar listesi';
+$lang['lmt_author_txt1'] = 'Yazı 1';
+$lang['lmt_author_txt2'] = 'Yazı 2';
+$lang['lmt_authoradd_title'] = 'Yazar ekle';
+$lang['lmt_authormodify_title'] = 'Yazar düzenle';
+$lang['lmt_bydefault'] = 'Varsayılan lisansı uygula';
+$lang['lmt_cancel'] = 'Vazgeç';
+$lang['lmt_cannot_add_author'] = 'Yazar eklenemedi';
+$lang['lmt_cannot_delete_author'] = 'Yazar silinemedi';
+$lang['lmt_cannot_modify_author'] = 'Yazar değiştirilemedi';
+$lang['lmt_category'] = 'Kategori';
+$lang['lmt_cc-all'] = 'Tüm lisanslar';
+$lang['lmt_cc_url'] = 'http://creativecommons.org/international/';
+$lang['lmt_cfg_licence_activated'] = 'Lisans yönetimini etkinleştir';
+$lang['lmt_cfg_licence_default'] = 'Varsayılan olarak uygulanan lisans seçimi';
+$lang['lmt_author'] = 'Yazar';
+$lang['lmt_author_added'] = 'Yazar eklenmişti';
+$lang['lmt_author_deleted'] = 'Yazar silinmişti';
+$lang['lmt_author_modified'] = 'Yazar değiştirilmişti';
+$lang['lmt_add_licence_type'] = 'Bir lisans tipi ekle';
+$lang['To install this plugin, you need to install Grum Plugin Classes %s before'] = 'Bu eklentiyi kurmak için, %s önceden Grum Eklenti Sınıflarını kurmalısınız';
+$lang['example'] = 'Numuneyi görüntüle';
+$lang['lmt_action'] = 'Eylemler';
+$lang['lmt_add'] = 'Ekle';
+$lang['lmt_add_author'] = 'Yazar ekle';
+$lang['lmt_apply'] = 'Uygula';
+?>